Index: archive/x7driver-sis.xml
===================================================================
--- archive/x7driver-sis.xml	(revision 2015f9ddcd45d5cbc39835492e538f5f85855b8a)
+++ archive/x7driver-sis.xml	(revision 2015f9ddcd45d5cbc39835492e538f5f85855b8a)
@@ -0,0 +1,170 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY xorg-sis-driver-version "0.10.7">
+
+  <!ENTITY xorg-sis-driver-download-http "&xorg-download-http;/driver/xf86-video-sis-&xorg-sis-driver-version;.tar.bz2">
+  <!ENTITY xorg-sis-driver-download-ftp  "&xorg-download-ftp;/driver/xf86-video-sis-&xorg-sis-driver-version;.tar.bz2">
+  <!ENTITY xorg-sis-driver-md5sum        "f01e5e20e37342acf1983d269886171b">
+  <!ENTITY xorg-sis-driver-size          "684 KB">
+  <!ENTITY xorg-sis-driver-buildsize     "16 MB">
+  <!ENTITY xorg-sis-driver-time          "0.2 SBU">
+]>
+
+   <!-- Begin Xorg SiS Driver -->
+  <sect2 id="xorg-sis-driver" xreflabel="Xorg SiS Driver-&xorg-sis-driver-version;">
+
+    <title>Xorg SiS Driver-&xorg-sis-driver-version;</title>
+
+    <indexterm zone="xorg-sis-driver">
+      <primary sortas="a-xorg-sis-driver">xorg-sis-driver</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to Xorg SiS Driver</title>
+
+      <para>
+        The <application>Xorg SiS Driver</application> package contains the X.Org
+        Video Driver for SiS (Silicon Integrated Systems) and XGI video cards
+        including SiS5597/5598, SiS530/620, SiS6326/AGP/DVD, SiS300/305, SiS540,
+        SiS630/730, SiS315/E/H/PRO, SiS550/551/552, SiS650/651/661/741, SiS330
+        (Xabre), SiS760/761, XGI Volari V3/V5/V8 and XGI Volari Z7 chipsets.
+      </para>
+
+      &lfs76_built;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&xorg-sis-driver-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&xorg-sis-driver-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &xorg-sis-driver-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &xorg-sis-driver-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &xorg-sis-driver-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &xorg-sis-driver-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <bridgehead renderas="sect4">Additional Downloads</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Required patch:
+            <ulink url="&patch-root;/xf86-video-sis-&xorg-sis-driver-version;-upstream_fixes-1.patch"/>
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <bridgehead renderas="sect4">Xorg SiS Driver Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="required">
+        <xref linkend="xorg-server"/>
+      </para>
+
+      <para condition="html" role="usernotes">
+        User Notes: <ulink url="&blfs-wiki;/xorg-sis-driver"/>
+      </para>
+    </sect3>
+
+    <sect3 role="kernel" id="xorg-sis-driver-kernel">
+      <title>Kernel Configuration</title>
+
+    <para>
+      Enable the following options in the kernel configuration and recompile the
+      kernel if necessary:
+    </para>
+
+<screen><literal>Device Drivers  ---&gt;
+  Graphics support ---&gt;
+    SiS video cards: Y or M</literal></screen>
+
+      <indexterm zone="xorg-sis-driver xorg-sis-driver-kernel">
+        <primary sortas="d-xorg-sis-driver">xorg-sis-driver</primary>
+      </indexterm>
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of Xorg SiS Driver</title>
+
+      <para>
+        Install <application>Xorg SiS Driver</application> by running the following
+        commands:
+      </para>
+
+<screen><userinput>patch -Np1 -i ../xf86-video-sis-&xorg-sis-driver-version;-upstream_fixes-1.patch &amp;&amp;
+./configure $XORG_CONFIG &amp;&amp;
+make</userinput></screen>
+
+      <para>
+        This package does not come with a test suite.
+      </para>
+
+      <para>
+        Now, as the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+    </sect3>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Xorg Driver</segtitle>
+
+        <seglistitem>
+          <seg>
+            sis_drv.so
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <variablelist>
+        <bridgehead renderas="sect4">Short Descriptions</bridgehead>
+        <?dbfo list-presentation="list"?>
+        <?dbhtml list-presentation="table"?>
+
+        <varlistentry id="sis_drv">
+          <term><filename class="libraryfile">sis_drv.so</filename></term>
+          <listitem>
+            <para>
+              is an Xorg video driver for SiS and XGI video cards.
+            </para>
+            <indexterm zone="xorg-sis-driver sis_drv">
+              <primary sortas="c-sis_drv">sis_drv.so</primary>
+            </indexterm>
+          </listitem>
+        </varlistentry>
+
+      </variablelist>
+
+    </sect3>
+
+  </sect2>
+  <!-- End Xorg SiS Driver -->