Index: general/prog/gcc-ada.xml
===================================================================
--- general/prog/gcc-ada.xml	(revision 7ff0948bb04b838f538d1996f93aa15a2930f745)
+++ general/prog/gcc-ada.xml	(revision 2037ec49e67a220d08055bbe3089ff1e2e8b703c)
@@ -5,21 +5,21 @@
   %general-entities;
 
-  <!ENTITY gcc-download-http     "http://ftpmirror.gnu.org/gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
-  <!ENTITY gcc-download-ftp      "ftp://ftp.gnu.org/gnu/gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
-  <!ENTITY gcc-md5sum            "a51bcfeb3da7dd4c623e27207ed43467">
-  <!ENTITY gcc-size              "91 MB">
-  <!ENTITY gcc-ada-buildsize     "6.0 GB (0.2 GB added if GNAT install dir is not removed)">
-  <!ENTITY gcc-ada-time          "119 SBU (including 68 SBU for tests)">
+  <!ENTITY gcc-download-http     "http://ftpmirror.gnu.org/gcc/gcc-&gcc-ada-version;/gcc-&gcc-ada-version;.tar.bz2">
+  <!ENTITY gcc-download-ftp      "ftp://ftp.gnu.org/gnu/gcc/gcc-&gcc-ada-version;/gcc-&gcc-ada-version;.tar.bz2">
+  <!ENTITY gcc-md5sum            "c9616fd448f980259c31de613e575719">
+  <!ENTITY gcc-size              "92 MB">
+  <!ENTITY gcc-ada-buildsize     "6.9 GB (0.9 GB added if GNAT install dir is not removed)">
+  <!ENTITY gcc-ada-time          "136 SBU (including 77 SBU for tests)">
 
   <!ENTITY gnat-download-http    "https://libre.adacore.com/download/">
-  <!ENTITY gnat-64-download-http "http://mirrors.cdn.adacore.com/art/9ed9164f59a40cc295307a85bebd6c38d5da84ba">
+  <!ENTITY gnat-64-download-http "http://mirrors.cdn.adacore.com/art/564b3e83c8e196b040fbdf29">
   <!ENTITY gnat-64-md5sum        "1ab69af79f981b1321f6e989403f5e7d">
   <!ENTITY gnat-64-size          "308 MB">
-  <!ENTITY gnat-32-download-http "http://mirrors.cdn.adacore.com/art/3fc05fc61cbc7ab4f291ed19ea4cb269fffd17bd">
+  <!ENTITY gnat-32-download-http "http://mirrors.cdn.adacore.com/art/564b3e9dc8e196b040fbe248">
   <!ENTITY gnat-32-md5sum        "69423c7ad8d9759377d4fff71a78992d">
   <!ENTITY gnat-32-size          "222 MB">
 ]>
 
-<sect1 id="gcc-ada" xreflabel="GCC-Ada-&gcc-version;">
+<sect1 id="gcc-ada" xreflabel="GCC-Ada-&gcc-ada-version;">
   <?dbhtml filename="gcc-ada.html" ?>
 
@@ -29,8 +29,8 @@
   </sect1info>
 
-  <title>GCC-Ada-&gcc-version;</title>
+  <title>GCC-Ada-&gcc-ada-version;</title>
 
   <indexterm zone="gcc-ada">
-    <primary sortas="a-gcc-4-0">GCC-Ada&gcc-version;</primary>
+    <primary sortas="a-gcc-4-0">GCC-Ada&gcc-ada-version;</primary>
   </indexterm>
 
@@ -56,5 +56,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <caution>
@@ -118,6 +118,6 @@
         temporarily to satisfy the circular dependency. You may point your
         browser to the <ulink url="&gnat-download-http;">AdaCore download
-        page</ulink>, choose your platform and 2015 (64-bit machines) or
-        2014 (32-bit machines), then select the file
+        page</ulink>, choose your platform and 2015 (64 bit machines) or
+        2014 (32 bit machines), then select the file
         to download. Alternatively, direct links to the 64 bit and 32 bit
         linux versions are given below.
@@ -156,10 +156,12 @@
         </para>
       </listitem>
-<!--      <listitem>
+<!--
+      <listitem>
         <para>
           Required patch:
-          <ulink url="&patch-root;/gcc-&gcc-version;-upstream_fixes-1.patch"/>
-        </para>
-      </listitem> -->
+          <ulink url="&patch-root;/gcc-&gcc-ada-version;-upstream_fixes-1.patch"/>
+        </para>
+      </listitem>
+-->
     </itemizedlist>
 
@@ -238,5 +240,5 @@
 cd    ../gcc-build &amp;&amp;
 
-../gcc-&gcc-version;/configure          \
+../gcc-&gcc-ada-version;/configure          \
     --prefix=/usr               \
     --disable-multilib          \
@@ -264,5 +266,5 @@
     </para>
 
-<screen><userinput>../gcc-&gcc-version;/contrib/test_summary</userinput></screen>
+<screen><userinput>../gcc-&gcc-ada-version;/contrib/test_summary</userinput></screen>
 
     <para>
@@ -276,6 +278,6 @@
 
 chown -v -R root:root \
-    /usr/lib/gcc/*linux-gnu/&gcc-version;/include{,-fixed} \
-    /usr/lib/gcc/*linux-gnu/&gcc-version;/ada{lib,include}</userinput></screen>
+    /usr/lib/gcc/*linux-gnu/&gcc-ada-version;/include{,-fixed} \
+    /usr/lib/gcc/*linux-gnu/&gcc-ada-version;/ada{lib,include}</userinput></screen>
 
     <para>
@@ -343,5 +345,5 @@
 
     <para>
-      <command>../gcc-&gcc-version;/contrib/test_summary</command>: This
+      <command>../gcc-&gcc-ada-version;/contrib/test_summary</command>: This
       command will produce a summary of the test suite results. You can append
       <command>| grep -A7 Summ</command> to the command to produce an even more
@@ -375,9 +377,10 @@
         </seg>
         <seg>
-          libgnat.{so,a}, libgnarl.{so,a} in <filename class="directory">
-          /usr/lib/gcc/&lt;arch-triplet&gt;/&gcc-version;/adalib</filename>
+          libgnarl.{so,a}, libgnat.{so,a} in <filename class="directory">
+          /usr/lib/gcc/&lt;arch-triplet&gt;/&gcc-ada-version;/adalib</filename>
         </seg>
         <seg>
-          /usr/lib/gcc/&lt;arch-triplet&gt;/&gcc-version;/ada{include,lib}
+          /usr/lib/gcc/&lt;arch-triplet&gt;/&gcc-ada-version;/ada{include,lib}
+          and /usr/lib/gcc/&lt;arch-triplet&gt;/&gcc-ada-version;/plugin/include/ada
         </seg>
       </seglistitem>