Index: gnome.ent
===================================================================
--- gnome.ent	(revision e82b5b1d67d163f6078f633419d20c4ae23c867e)
+++ gnome.ent	(revision 2060b08dee44ead52e9ee6af7e153b84c8682ccb)
@@ -57,5 +57,5 @@
 <!ENTITY gnome-bluetooth-version           "3.20.0">
 <!ENTITY gnome-keyring-version             "3.20.0">
-<!ENTITY gnome-settings-daemon-version     "3.20.1">
+<!ENTITY gnome-settings-daemon-version     "3.22.0">
 <!ENTITY gnome-control-center-version      "3.20.1">
 <!ENTITY mutter-version                    "3.20.3">
@@ -78,5 +78,5 @@
 <!ENTITY baobab-version                 "3.20.1">
 <!ENTITY brasero-version                "3.12.1">
-<!ENTITY cheese-version                 "3.20.2">
+<!ENTITY cheese-version                 "3.22.0">
 <!ENTITY eog-version                    "3.20.4">
 <!ENTITY epiphany-version               "3.20.3">
@@ -86,5 +86,5 @@
 <!ENTITY gedit-version                  "3.20.2">
 <!ENTITY gnome-calculator-version       "3.20.2">
-<!ENTITY gnome-color-manager-version    "3.20.0">
+<!ENTITY gnome-color-manager-version    "3.22.0">
 <!ENTITY gnome-disk-utility-version     "3.20.2">
 <!ENTITY gnome-logs-version             "3.20.1">
@@ -101,3 +101,3 @@
 <!ENTITY seahorse-version               "3.20.0">
 <!ENTITY vinagre-version                "3.20.2">
-<!ENTITY vino-version                   "3.20.2">
+<!ENTITY vino-version                   "3.22.0">
Index: gnome/applications/cheese.xml
===================================================================
--- gnome/applications/cheese.xml	(revision e82b5b1d67d163f6078f633419d20c4ae23c867e)
+++ gnome/applications/cheese.xml	(revision 2060b08dee44ead52e9ee6af7e153b84c8682ccb)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY cheese-download-http "&gnome-download-http;/cheese/&gnome-minor-20;/cheese-&cheese-version;.tar.xz">
-  <!ENTITY cheese-download-ftp  "&gnome-download-ftp;/cheese/&gnome-minor-20;/cheese-&cheese-version;.tar.xz">
-  <!ENTITY cheese-md5sum        "4446b2942cee1d91e920bf85bfe8ab2d">
+  <!ENTITY cheese-download-http "&gnome-download-http;/cheese/&gnome-minor-22;/cheese-&cheese-version;.tar.xz">
+  <!ENTITY cheese-download-ftp  "&gnome-download-ftp;/cheese/&gnome-minor-22;/cheese-&cheese-version;.tar.xz">
+  <!ENTITY cheese-md5sum        "4b1d0d2e48f60b3d706cd6aa0cda4c15">
   <!ENTITY cheese-size          "1.8 MB">
-  <!ENTITY cheese-buildsize     "21 MB">
-  <!ENTITY cheese-time          "0.5 SBU">
+  <!ENTITY cheese-buildsize     "27 MB">
+  <!ENTITY cheese-time          "0.4 SBU">
 ]>
 
@@ -201,5 +201,5 @@
         <listitem>
           <para>
-            is the webcam tool with graphical effects.
+            is a webcam tool with graphical effects.
           </para>
           <indexterm zone="cheese cheese-prog">
Index: gnome/applications/gnome-color-manager.xml
===================================================================
--- gnome/applications/gnome-color-manager.xml	(revision e82b5b1d67d163f6078f633419d20c4ae23c867e)
+++ gnome/applications/gnome-color-manager.xml	(revision 2060b08dee44ead52e9ee6af7e153b84c8682ccb)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-color-manager-download-http
-           "&gnome-download-http;/gnome-color-manager/&gnome-minor-20;/gnome-color-manager-&gnome-color-manager-version;.tar.xz">
+           "&gnome-download-http;/gnome-color-manager/&gnome-minor-22;/gnome-color-manager-&gnome-color-manager-version;.tar.xz">
   <!ENTITY gnome-color-manager-download-ftp
-           "&gnome-download-ftp;/gnome-color-manager/&gnome-minor-20;/gnome-color-manager-&gnome-color-manager-version;.tar.xz">
-  <!ENTITY gnome-color-manager-md5sum        "e9900077c337b6cb9879ef21bbf29a1f">
+           "&gnome-download-ftp;/gnome-color-manager/&gnome-minor-22;/gnome-color-manager-&gnome-color-manager-version;.tar.xz">
+  <!ENTITY gnome-color-manager-md5sum        "3e95fe3c0df05e6c6b3dc324101ab63b">
   <!ENTITY gnome-color-manager-size          "2.5 MB">
-  <!ENTITY gnome-color-manager-buildsize     "27 MB">
+  <!ENTITY gnome-color-manager-buildsize     "26 MB">
   <!ENTITY gnome-color-manager-time          "0.2 SBU">
 ]>
Index: gnome/applications/vino.xml
===================================================================
--- gnome/applications/vino.xml	(revision e82b5b1d67d163f6078f633419d20c4ae23c867e)
+++ gnome/applications/vino.xml	(revision 2060b08dee44ead52e9ee6af7e153b84c8682ccb)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY vino-download-http "&gnome-download-http;/vino/&gnome-minor-20;/vino-&vino-version;.tar.xz">
-  <!ENTITY vino-download-ftp  "&gnome-download-ftp;/vino/&gnome-minor-20;/vino-&vino-version;.tar.xz">
-  <!ENTITY vino-md5sum        "e9263766d545f1e8b12a1e80ee1706b8">
+  <!ENTITY vino-download-http "&gnome-download-http;/vino/&gnome-minor-22;/vino-&vino-version;.tar.xz">
+  <!ENTITY vino-download-ftp  "&gnome-download-ftp;/vino/&gnome-minor-22;/vino-&vino-version;.tar.xz">
+  <!ENTITY vino-md5sum        "7305feaa5cc9acb788d7a13389922012">
   <!ENTITY vino-size          "752 KB">
-  <!ENTITY vino-buildsize     "20 MB">
+  <!ENTITY vino-buildsize     "19 MB">
   <!ENTITY vino-time          "0.2 SBU">
 ]>
Index: gnome/platform/gnome-settings-daemon.xml
===================================================================
--- gnome/platform/gnome-settings-daemon.xml	(revision e82b5b1d67d163f6078f633419d20c4ae23c867e)
+++ gnome/platform/gnome-settings-daemon.xml	(revision 2060b08dee44ead52e9ee6af7e153b84c8682ccb)
@@ -6,11 +6,11 @@
 
   <!ENTITY gnome-settings-daemon-download-http
-           "&gnome-download-http;/gnome-settings-daemon/&gnome-minor-20;/gnome-settings-daemon-&gnome-settings-daemon-version;.tar.xz">
+           "&gnome-download-http;/gnome-settings-daemon/&gnome-minor-22;/gnome-settings-daemon-&gnome-settings-daemon-version;.tar.xz">
   <!ENTITY gnome-settings-daemon-download-ftp
-           "&gnome-download-ftp;/gnome-settings-daemon/&gnome-minor-20;/gnome-settings-daemon-&gnome-settings-daemon-version;.tar.xz">
-  <!ENTITY gnome-settings-daemon-md5sum        "9ce5cd7bf4f3060de563c5e3d0247294">
+           "&gnome-download-ftp;/gnome-settings-daemon/&gnome-minor-22;/gnome-settings-daemon-&gnome-settings-daemon-version;.tar.xz">
+  <!ENTITY gnome-settings-daemon-md5sum        "48efd3e2a25495f57d0ec3efa6cb28a6">
   <!ENTITY gnome-settings-daemon-size          "1.6 MB">
-  <!ENTITY gnome-settings-daemon-buildsize     "83 MB">
-  <!ENTITY gnome-settings-daemon-time          "1.3 SBU">
+  <!ENTITY gnome-settings-daemon-buildsize     "79 MB">
+  <!ENTITY gnome-settings-daemon-time          "1.2 SBU">
 ]>
 
@@ -88,4 +88,5 @@
       <xref linkend="libwacom"/>,
       <xref linkend="pulseaudio"/>,
+      <xref linkend="systemd"/>,
       <xref linkend="upower"/>, and
       <xref linkend="xorg-wacom-driver"/>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision e82b5b1d67d163f6078f633419d20c4ae23c867e)
+++ introduction/welcome/changelog.xml	(revision 2060b08dee44ead52e9ee6af7e153b84c8682ccb)
@@ -47,4 +47,20 @@
       <para>September 25th, 2016</para>
       <itemizedlist>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to gnome-color-manager-3.22.0. Partially
+          fixes <ulink url="&blfs-ticket-root;8315">#8315</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to gnome-settings-daemon-3.22.0. Partially
+          fixes <ulink url="&blfs-ticket-root;8316">#8316</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to Cheese-3.22.0. Partially fixes
+          <ulink url="blfs-ticket-root;8315">#8315</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to vino-3.22.0. Partially fixes
+          <ulink url="&blfs-ticket-root;8315">#8315</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[ken] - Perl Modules - move XML::SAX to top level.</para>