Index: general/general.ent
===================================================================
--- general/general.ent	(revision 06aea651e0cadf2e496d57fc98dc3238b9a5b048)
+++ general/general.ent	(revision 2082ebf6eba7d33185dd15652b09168eb4c4a892)
@@ -88,4 +88,5 @@
 <!ENTITY % pkgconfig SYSTEM "sysutils/pkgconfig/pkgconfig.ent">
 <!ENTITY % cpio SYSTEM "sysutils/cpio/cpio.ent">
+<!ENTITY % mc SYSTEM "sysutils/mc/mc.ent">
 %gpm;
 %fcron;
@@ -96,4 +97,5 @@
 %pkgconfig;
 %cpio;
+%mc;
 
 <!-- Programming -->
Index: general/sysutils/mc.xml
===================================================================
--- general/sysutils/mc.xml	(revision 2082ebf6eba7d33185dd15652b09168eb4c4a892)
+++ general/sysutils/mc.xml	(revision 2082ebf6eba7d33185dd15652b09168eb4c4a892)
@@ -0,0 +1,11 @@
+<sect1 id="mc" xreflabel="MC-&mc-version;">
+<?dbhtml filename="mc.html" dir="general"?>
+<title><acronym>MC</acronym>-&mc-version;</title>
+
+&mc-intro;
+&mc-inst;
+&mc-exp;
+&mc-config;
+&mc-desc;
+
+</sect1>
Index: general/sysutils/mc/mc-config.xml
===================================================================
--- general/sysutils/mc/mc-config.xml	(revision 2082ebf6eba7d33185dd15652b09168eb4c4a892)
+++ general/sysutils/mc/mc-config.xml	(revision 2082ebf6eba7d33185dd15652b09168eb4c4a892)
@@ -0,0 +1,18 @@
+<sect2>
+<title>Configuring <application><acronym>MC</acronym></application></title>
+
+<sect3><title>Config files</title>
+<para><filename>~/.mc/*</filename></para>
+</sect3>
+
+<sect3><title>Configuration Information</title>
+
+<para>The <filename class="directory">~/.mc</filename> directory and
+its contents are created when you start <command>mc</command> for the
+first time. Then you can edit the main <filename>~/.mc/ini</filename> configuration
+file manually or through the <application><acronym>MC</acronym></application> shell.
+Consult the mc(1) man page for details.</para>
+
+</sect3>
+
+</sect2>
Index: general/sysutils/mc/mc-desc.xml
===================================================================
--- general/sysutils/mc/mc-desc.xml	(revision 2082ebf6eba7d33185dd15652b09168eb4c4a892)
+++ general/sysutils/mc/mc-desc.xml	(revision 2082ebf6eba7d33185dd15652b09168eb4c4a892)
@@ -0,0 +1,23 @@
+<sect2>
+<title>Contents</title>
+
+<para>The <application><acronym>MC</acronym></application> package
+contains <command>mc</command>, <command>mcedit</command>,
+<command>mcmfmt</command> and <command>mcview</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>mc</title>
+<para><command>mc</command> is a visual shell.</para></sect3>
+
+<sect3><title>mcedit</title>
+<para><command>mcedit</command> is an internal file
+editor.</para></sect3>
+
+<sect3><title>mcview</title>
+<para><command>mcview</command> is an internal file
+viewer.</para></sect3>
+
+</sect2>
Index: general/sysutils/mc/mc-exp.xml
===================================================================
--- general/sysutils/mc/mc-exp.xml	(revision 2082ebf6eba7d33185dd15652b09168eb4c4a892)
+++ general/sysutils/mc/mc-exp.xml	(revision 2082ebf6eba7d33185dd15652b09168eb4c4a892)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><command>--with-screen=ncurses</command> : 
+There are three screen libraries to choose from. We choose ncurses
+to eliminate the need for installing an extra package. However, MC was
+mostly tested with the slang library, making it the recommended one.
+
+</para>
+
+</sect2>
Index: general/sysutils/mc/mc-inst.xml
===================================================================
--- general/sysutils/mc/mc-inst.xml	(revision 2082ebf6eba7d33185dd15652b09168eb4c4a892)
+++ general/sysutils/mc/mc-inst.xml	(revision 2082ebf6eba7d33185dd15652b09168eb4c4a892)
@@ -0,0 +1,12 @@
+<sect2>
+<title>Installation of
+<application><acronym>MC</acronym></application></title>
+
+<para>Install <application><acronym>MC</acronym></application> by
+running the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=/usr --with-screen=ncurses &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
Index: general/sysutils/mc/mc-intro.xml
===================================================================
--- general/sysutils/mc/mc-intro.xml	(revision 2082ebf6eba7d33185dd15652b09168eb4c4a892)
+++ general/sysutils/mc/mc-intro.xml	(revision 2082ebf6eba7d33185dd15652b09168eb4c4a892)
@@ -0,0 +1,37 @@
+<sect2>
+<title>Introduction to
+<application><acronym>MC</acronym></application></title>
+
+<para><application><acronym>MC</acronym></application>
+(Midnight Commander) is a text-mode full-screen file manager and visual
+shell. It provides a clear, user-friendly, and somewhat protected
+interface to a Unix system while making many frequent file operations
+more efficient and preserving the full power of the command
+prompt.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&mc-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&mc-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &mc-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &mc-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &mc-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application><acronym>MC</acronym></application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="GLib"/> or <xref linkend="GLib2"/>
+</para></sect4>
+<sect4><title>Optional</title>
+<para>
+<xref linkend="gpm"/>,
+<xref linkend="xfree86"/>,
+<xref linkend="samba"/>,
+<xref linkend="slang"/>,
+<xref linkend="zip"/>,
+<xref linkend="unzip"/> and
+<xref linkend="gnome-libs"/>
+</para></sect4>
+</sect3>
+
+</sect2>
Index: general/sysutils/mc/mc.ent
===================================================================
--- general/sysutils/mc/mc.ent	(revision 2082ebf6eba7d33185dd15652b09168eb4c4a892)
+++ general/sysutils/mc/mc.ent	(revision 2082ebf6eba7d33185dd15652b09168eb4c4a892)
@@ -0,0 +1,12 @@
+<!ENTITY mc SYSTEM "../mc.xml">
+<!ENTITY mc-intro SYSTEM "mc-intro.xml">
+<!ENTITY mc-inst SYSTEM "mc-inst.xml">
+<!ENTITY mc-exp SYSTEM "mc-exp.xml">
+<!ENTITY mc-config SYSTEM "mc-config.xml">
+<!ENTITY mc-desc SYSTEM "mc-desc.xml">
+<!ENTITY mc-version "4.6.0">
+<!ENTITY mc-download-http "http://www.ibiblio.org/pub/Linux/utils/file/managers/mc/mc-&mc-version;.tar.gz">
+<!ENTITY mc-download-ftp "">
+<!ENTITY mc-size "3.6 MB">
+<!ENTITY mc-buildsize "31 MB">
+<!ENTITY mc-time "0.45 SBU">
Index: general/sysutils/sysutils.xml
===================================================================
--- general/sysutils/sysutils.xml	(revision 06aea651e0cadf2e496d57fc98dc3238b9a5b048)
+++ general/sysutils/sysutils.xml	(revision 2082ebf6eba7d33185dd15652b09168eb4c4a892)
@@ -12,4 +12,5 @@
 &pkgconfig;
 &cpio;
+&mc;
 
 </chapter>