Index: general.ent
===================================================================
--- general.ent	(revision 7c073c836617c399aaa8483a55f9d813afad3e75)
+++ general.ent	(revision 2086c34e6b1ce41f07e2d9586a44c0a8d184e90f)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "03">                   <!-- Always 2 digits -->
+<!ENTITY day          "06">                   <!-- Always 2 digits -->
 <!ENTITY month        "03">                   <!-- Always 2 digits -->
 <!ENTITY year         "2016">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "March 3rd &year;">
+<!ENTITY releasedate  "March 6th &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7c073c836617c399aaa8483a55f9d813afad3e75)
+++ introduction/welcome/changelog.xml	(revision 2086c34e6b1ce41f07e2d9586a44c0a8d184e90f)
@@ -44,4 +44,14 @@
 
 -->
+
+    <listitem>
+      <para>March 6th, 2016</para>
+      <itemizedlist>
+        <listitem>
+          <para>[ken] - Update to Exim-4.86.2. Fixes
+          <ulink url="&blfs-ticket-root;7493">#7493</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: packages.ent
===================================================================
--- packages.ent	(revision 7c073c836617c399aaa8483a55f9d813afad3e75)
+++ packages.ent	(revision 2086c34e6b1ce41f07e2d9586a44c0a8d184e90f)
@@ -429,5 +429,5 @@
 <!ENTITY dovecot-version              "&dovecot-major;.&dovecot-minor;.&dovecot-micro;">
 
-<!ENTITY exim-version                 "4.86">
+<!ENTITY exim-version                 "4.86.2">
 <!ENTITY postfix-version              "3.0.3">
 <!ENTITY sendmail-version             "8.15.2">
Index: server/mail/exim.xml
===================================================================
--- server/mail/exim.xml	(revision 7c073c836617c399aaa8483a55f9d813afad3e75)
+++ server/mail/exim.xml	(revision 2086c34e6b1ce41f07e2d9586a44c0a8d184e90f)
@@ -9,10 +9,10 @@
   <!ENTITY exim-download-http   "http://ftp.exim.org/pub/exim/exim4/exim-&exim-version;.tar.bz2"> -->
 
-  <!ENTITY exim-download-http   "http://mirrors-uk.go-parts.com/eximftp/exim/exim4/exim-&exim-version;.tar.bz2">
+  <!ENTITY exim-download-http   "http://mirrors-usa.go-parts.com/eximftp/exim/exim4/exim-&exim-version;.tar.bz2">
   <!ENTITY exim-download-ftp    "ftp://ftp.exim.org/pub/exim/exim4/exim-&exim-version;.tar.bz2">
   <!-- if above don't work, please use one of the official mirrors at
        http://www.exim.org/mirmon/ftp_mirrors.html -->
-  <!ENTITY exim-md5sum          "797f248ef3e0c0e2f178e915f88fc4e9">
-  <!ENTITY exim-size            "1.8 MB">
+  <!ENTITY exim-md5sum          "1443a4a88d6b78ad9b6a681c51437b55">
+  <!ENTITY exim-size            "1.7 MB">
   <!ENTITY exim-buildsize       "17 MB">
   <!ENTITY exim-time            "0.2 SBU">
@@ -44,5 +44,5 @@
     under the GNU Public License.</para>
 
-    &lfs78_checked;
+    &lfs79_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -134,9 +134,10 @@
 <!-- dev note: make INSTALL_ARG=-no_chown DESTDIR=<DESTDIR> install -->
 
-<screen role="root"><userinput>make install &amp;&amp;
-install -v -m644 doc/exim.8 /usr/share/man/man8 &amp;&amp;
-install -v -d -m755 /usr/share/doc/exim-&exim-version; &amp;&amp;
+<screen role="root"><userinput>make install                                      &amp;&amp;
+install -v -m644 doc/exim.8 /usr/share/man/man8   &amp;&amp;
+install -v -d -m755 /usr/share/doc/exim-&exim-version;    &amp;&amp;
 install -v -m644 doc/* /usr/share/doc/exim-&exim-version; &amp;&amp;
-ln -sfv exim /usr/sbin/sendmail</userinput></screen>
+ln -sfv exim /usr/sbin/sendmail                   &amp;&amp;
+install -v -m750 -o exim -g exim /var/spool/exim</userinput></screen>
 
   </sect2>
@@ -182,4 +183,11 @@
     <application>Exim</application> will accept most
     <application>Sendmail</application> command-line options.</para>
+
+    <para><command>install -v -m750 -o exim -g exim /var/spool/exim</command>:
+    Since /var/spool is owned by root and this version of <command>exim</command>
+    drops <systemitem class="username">root</systemitem> privileges early, to
+    run as user <systemitem class="username">exim</systemitem>, it cannot create
+    the <filename class="directory">/var/spool/exim</filename> directory. As a
+    work around, it is created manually.</para>
 
   </sect2>