Index: general.ent
===================================================================
--- general.ent	(revision 358f6aacd80ebbee2372494cbe897f5a3cae873d)
+++ general.ent	(revision 2126b9e90e0892c42c03d88b090f52a4b9b01436)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "08">                   <!-- Always 2 digits -->
+<!ENTITY day          "09">                   <!-- Always 2 digits -->
 <!ENTITY month        "12">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "December 7th, &year;">
+<!ENTITY releasedate  "December 9th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/sysutils/blocaled.xml
===================================================================
--- general/sysutils/blocaled.xml	(revision 2126b9e90e0892c42c03d88b090f52a4b9b01436)
+++ general/sysutils/blocaled.xml	(revision 2126b9e90e0892c42c03d88b090f52a4b9b01436)
@@ -0,0 +1,226 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+<!ENTITY blocaled-download-http "https://github.com/pierre-labastie/blocaled/releases/download/v&blocaled-version;/blocaled-&blocaled-version;.tar.xz">
+  <!ENTITY blocaled-download-ftp  " ">
+  <!ENTITY blocaled-md5sum        "2b47923594d9f7564b51651e2433b9e1">
+  <!ENTITY blocaled-size          "256 KB">
+  <!ENTITY blocaled-buildsize     "3.8 MB">
+  <!ENTITY blocaled-time          "less than 0.1 SBU">
+]>
+
+<sect1 id="blocaled" revision="sysv" xreflabel="blocaled-&blocaled-version;">
+  <?dbhtml filename="blocaled.html"?>
+
+  <sect1info>
+    <!-- this part gets updated when you commit, IFF you set the properties:
+      first, svn add path/to/thisfile.xml and then
+      svn propset svn:mime-type text/plain path/to/thisfile.xml and
+      svn propset svn:keywords "Date LastChangedBy" path/to/thisfile.xml -->
+    <othername>$LastChangedBy: renodr $</othername>
+    <date>$Date: 2019-10-31 17:50:26 +0100 (jeu. 31 oct. 2019) $</date>
+  </sect1info>
+
+  <title>blocaled-&blocaled-version;</title>
+
+  <indexterm zone="blocaled">
+    <primary sortas="a-blocaled">blocaled</primary>
+  </indexterm>
+
+  <!--Required section-->
+  <sect2 role="package">
+    <title>Introduction to blocaled</title>
+
+    <para>
+      <application>blocaled</application> is an implementation of the
+      <emphasis>org.freedesktop.locale1</emphasis> D&ndash;Bus protocol,
+      which normally comes with <application>systemd</application>. It is
+      needed by the <application>GNOME</application> desktop.
+    </para>
+
+    &lfs90_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&blocaled-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&blocaled-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &blocaled-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &blocaled-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &blocaled-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &blocaled-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">blocaled Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="polkit"/> and
+      <xref linkend="libdaemon"/>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/blocaled"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of blocaled</title>
+
+    <para>
+      Install <application>blocaled</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+  </sect2>
+
+  <sect2 role="configuration">
+    <title>Configuring blocaled</title>
+
+    <sect3 id="blocaled-config">
+      <title>Config Files</title>
+      <para>
+        <filename>/etc/blocaled.conf</filename>
+      </para>
+
+      <indexterm zone="blocaled blocaled-config">
+        <primary
+        sortas="e-etc-blocaled.conf">/etc/blocaled.conf</primary>
+      </indexterm>
+    </sect3>
+
+    <sect3><title>Configuration Information</title>
+
+      <para>
+        <filename>/etc/blocaled.conf</filename> contains the location of
+        the settings files used by <application>blocaled</application>. The
+        defaults are suitable for BLFS. Information about the entries is
+        available as comments in the file.
+      </para>
+
+      <para>
+        The <emphasis>org.freedesktop.locale1</emphasis> protocol is
+        unable to export locale variables. Locale settings are stored
+        by default in <filename>/etc/locale.conf</filename>. We need to
+        retrieve them in the bash profile. As the <systemitem class="username">
+        root</systemitem> user, issue:
+      </para>
+
+<screen role="root"><userinput>cat &gt; /etc/profile.d/i18n.sh &lt;&lt; "EOF"
+<literal># Begin /etc/profile.d/i18n.sh
+
+if [ -r /etc/locale.conf ]; then source /etc/locale.conf; fi
+
+if [ -n "$LANG" ];              then export LANG; fi
+if [ -n "$LC_TYPE" ];           then export LC_TYPE; fi
+if [ -n "$LC_NUMERIC" ];        then export LC_NUMERIC; fi
+if [ -n "$LC_TIME" ];           then export LC_TIME; fi
+if [ -n "$LC_COLLATE" ];        then export LC_COLLATE; fi
+if [ -n "$LC_MONETARY" ];       then export LC_MONETARY; fi
+if [ -n "$LC_MESSAGES" ];       then export LC_MESSAGES; fi
+if [ -n "$LC_PAPER" ];          then export LC_PAPER; fi
+if [ -n "$LC_NAME" ];           then export LC_NAME; fi
+if [ -n "$LC_ADDRESS" ];        then export LC_ADDRESS; fi
+if [ -n "$LC_TELEPHONE" ];      then export LC_TELEPHONE; fi
+if [ -n "$LC_MEASUREMENT" ];    then export LC_MEASUREMENT; fi
+if [ -n "$LC_IDENTIFICATION" ]; then export LC_IDENTIFICATION; fi
+
+# End /etc/profile.d/i18n.sh</literal>
+EOF</userinput></screen>
+
+      <para>
+        Then the <filename>/etc/locale</filename> file should be generated,
+        as the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>cat &gt; /etc/locale.conf &lt;&lt; EOF
+<literal># Begin /etc/locale.conf
+
+LANG=$LANG
+
+# End /etc/locale.conf</literal>
+EOF</userinput></screen>
+
+    </sect3>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>
+          blocaled (in <filename class="directory">/usr/libexec</filename>)
+        </seg>
+        <seg>
+          None
+        </seg>
+        <seg>
+          /usr/share/blocaled
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="blocaled-prog">
+        <term><command>blocaled</command></term>
+        <listitem>
+          <para>
+            is the daemon implementing the
+            <emphasis>org.freedesktop.locale1</emphasis> D&ndash;Bus protocol
+          </para>
+          <indexterm zone="blocaled blocaled-prog">
+            <primary sortas="b-blocaled">blocaled</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </sect2>
+</sect1>
Index: general/sysutils/sysutils.xml
===================================================================
--- general/sysutils/sysutils.xml	(revision 358f6aacd80ebbee2372494cbe897f5a3cae873d)
+++ general/sysutils/sysutils.xml	(revision 2126b9e90e0892c42c03d88b090f52a4b9b01436)
@@ -38,4 +38,5 @@
   <!-- sysv only -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="elogind.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="blocaled.xml"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="fcron.xml"/>
Index: gnome/platform/evolution-data-server.xml
===================================================================
--- gnome/platform/evolution-data-server.xml	(revision 358f6aacd80ebbee2372494cbe897f5a3cae873d)
+++ gnome/platform/evolution-data-server.xml	(revision 2126b9e90e0892c42c03d88b090f52a4b9b01436)
@@ -99,4 +99,10 @@
       <xref linkend="libgweather"/>, and
       <xref linkend="vala"/>
+    </para>
+
+    <bridgehead renderas="sect4"
+                revision="sysv">Recommended (Runtime)</bridgehead>
+    <para role="recommended" revision="sysv">
+      <xref linkend="blocaled" role="runtime"/>
     </para>
 
Index: gnome/platform/gdm.xml
===================================================================
--- gnome/platform/gdm.xml	(revision 358f6aacd80ebbee2372494cbe897f5a3cae873d)
+++ gnome/platform/gdm.xml	(revision 2126b9e90e0892c42c03d88b090f52a4b9b01436)
@@ -124,4 +124,5 @@
 passwd -ql gdm</userinput></screen>
 
+<!--
     <note revision="sysv">
       <para>
@@ -151,5 +152,5 @@
       </para>
     </note>
-
+-->
     <para>
       Install <application>GDM</application> by running the following
Index: gnome/platform/gnome-control-center.xml
===================================================================
--- gnome/platform/gnome-control-center.xml	(revision 358f6aacd80ebbee2372494cbe897f5a3cae873d)
+++ gnome/platform/gnome-control-center.xml	(revision 2126b9e90e0892c42c03d88b090f52a4b9b01436)
@@ -102,4 +102,10 @@
     </para>
 
+    <bridgehead renderas="sect4"
+                revision="sysv">Recommended (Runtime)</bridgehead>
+    <para role="recommended" revision="sysv">
+      <xref linkend="blocaled" role="runtime"/>
+    </para>
+
     <bridgehead renderas="sect4">Optional Runtime Dependencies</bridgehead>
     <para role="optional">
Index: gnome/platform/gnome-settings-daemon.xml
===================================================================
--- gnome/platform/gnome-settings-daemon.xml	(revision 358f6aacd80ebbee2372494cbe897f5a3cae873d)
+++ gnome/platform/gnome-settings-daemon.xml	(revision 2126b9e90e0892c42c03d88b090f52a4b9b01436)
@@ -113,4 +113,10 @@
     </note>
 
+    <bridgehead renderas="sect4"
+                revision="sysv">Recommended (Runtime)</bridgehead>
+    <para role="recommended" revision="sysv">
+      <xref linkend="blocaled" role="runtime"/>
+    </para>
+
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
Index: gnome/platform/gnome-shell.xml
===================================================================
--- gnome/platform/gnome-shell.xml	(revision 358f6aacd80ebbee2372494cbe897f5a3cae873d)
+++ gnome/platform/gnome-shell.xml	(revision 2126b9e90e0892c42c03d88b090f52a4b9b01436)
@@ -98,4 +98,10 @@
     </para>
 
+    <bridgehead renderas="sect4"
+                revision="sysv">Recommended (Runtime)</bridgehead>
+    <para role="recommended" revision="sysv">
+      <xref linkend="blocaled" role="runtime"/>
+    </para>
+
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
@@ -128,7 +134,5 @@
     </para>
 
-<screen revision="sysv"><userinput>sed -i '/isGreeter/,+2 d' js/ui/status/keyboard.js &amp;&amp;
-
-mkdir build &amp;&amp;
+<screen revision="sysv"><userinput>mkdir build &amp;&amp;
 cd    build &amp;&amp;
 
@@ -154,11 +158,4 @@
 <screen role="root"><userinput>ninja install</userinput></screen>
 
-<!-- not needed with -Dsystemd=false
-    <para revision="sysv">
-      Finally, remove some systemd units that are unnecessary on SysV.
-    </para>
-
-<screen role="root" revision="sysv"><userinput>rm -v /usr/lib/systemd/user/gnome-shell*</userinput></screen>
--->
   </sect2>
 
@@ -167,7 +164,6 @@
 
     <para revision="sysv">
-      <command>sed -i ...</command>: This command allows the GDM greeter to
-      use a keyboard layout taken from the dconf database instead of a default
-      US qwerty one.
+      <parameter>-Dsystemd=false</parameter>: Prevents installing systemd
+      files, which are not needed in this version of BLFS.
     </para>
 
Index: gnome/platform/mutter.xml
===================================================================
--- gnome/platform/mutter.xml	(revision 358f6aacd80ebbee2372494cbe897f5a3cae873d)
+++ gnome/platform/mutter.xml	(revision 2126b9e90e0892c42c03d88b090f52a4b9b01436)
@@ -113,4 +113,10 @@
       Additionally, <xref linkend="gtk3"/> needs to be built with
       <application>Wayland</application> support.
+    </para>
+
+    <bridgehead renderas="sect4"
+                revision="sysv">Recommended (Runtime)</bridgehead>
+    <para role="recommended" revision="sysv">
+      <xref linkend="blocaled" role="runtime"/>
     </para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 358f6aacd80ebbee2372494cbe897f5a3cae873d)
+++ introduction/welcome/changelog.xml	(revision 2126b9e90e0892c42c03d88b090f52a4b9b01436)
@@ -42,4 +42,14 @@
     </listitem>
        -->
+     <listitem>
+       <para>December 9th, 2019</para>
+       <itemizedlist>
+         <listitem>
+           <para>[pierre] - Add blocaled-0.1, a replacement for
+           systemd-localed.</para>
+         </listitem>
+       </itemizedlist>
+     </listitem>
+     
      <listitem>
        <para>December 8th, 2019</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 358f6aacd80ebbee2372494cbe897f5a3cae873d)
+++ packages.ent	(revision 2126b9e90e0892c42c03d88b090f52a4b9b01436)
@@ -273,4 +273,5 @@
 <!ENTITY dbus-version                 "1.12.16">   <!-- Even minors only -->
 <!ENTITY elogind-version              "241.3">
+<!ENTITY blocaled-version             "0.1">
 <!ENTITY eudev-version                "1.7">
 <!ENTITY fcron-version                "3.2.1">