Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a6a4a3d5af5f2661bd84a4ff4440d1d2f888e30e)
+++ introduction/welcome/changelog.xml	(revision 2216c1b18426a8d3815fb9e7909b02ab18574a8b)
@@ -46,4 +46,24 @@
       <para>July 15th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to balsa-2.5.7. Fixes
+          <ulink url="&blfs-ticket-root;12101">#12101</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to vlc-3.0.7.1. Fixes
+          <ulink url="&blfs-ticket-root;12133">#12133</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to xscreensaver-5.43. Fixes
+          <ulink url="&blfs-ticket-root;12229">#12229</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to goffice-0.10.45. Fixes
+          <ulink url="&blfs-ticket-root;12123">#12123</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libICE-1.0.10 (Xorg Library). Fixes
+          <ulink url="&blfs-ticket-root;12260">#12260</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to xwininfo-1.1.5 (Xorg Application). Fixes
Index: multimedia/videoutils/vlc.xml
===================================================================
--- multimedia/videoutils/vlc.xml	(revision a6a4a3d5af5f2661bd84a4ff4440d1d2f888e30e)
+++ multimedia/videoutils/vlc.xml	(revision 2216c1b18426a8d3815fb9e7909b02ab18574a8b)
@@ -7,7 +7,7 @@
   <!ENTITY vlc-download-http "https://download.videolan.org/vlc/&vlc-version;/vlc-&vlc-version;.tar.xz">
   <!ENTITY vlc-download-ftp  " ">
-  <!ENTITY vlc-md5sum        "4ff71d262e070fd19f86a1c3542c7b4e">
+  <!ENTITY vlc-md5sum        "1adf2fe21070378b0e45ad163d3b232d">
   <!ENTITY vlc-size          "25 MB">
-  <!ENTITY vlc-buildsize     "714 MB (add 13 MB for tests)">
+  <!ENTITY vlc-buildsize     "727 MB (add 14 MB for tests)">
   <!ENTITY vlc-time          "2.1 SBU (using parallelism=4; add 0.2 SBU for tests)">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision a6a4a3d5af5f2661bd84a4ff4440d1d2f888e30e)
+++ packages.ent	(revision 2216c1b18426a8d3815fb9e7909b02ab18574a8b)
@@ -690,5 +690,5 @@
 <!ENTITY glew-version                 "2.1.0">
 <!ENTITY glu-version                  "9.0.0">
-<!ENTITY goffice010-version           "0.10.44">
+<!ENTITY goffice010-version           "0.10.45">
 <!ENTITY gtk2-version                 "2.24.32">
 <!ENTITY gtk3-version                 "3.24.10">
@@ -874,5 +874,5 @@
 
 <!-- Chapter 41 -->
-<!ENTITY balsa-version                "2.5.6">
+<!ENTITY balsa-version                "2.5.7">
 <!ENTITY ekiga-version                "4.0.1">
 <!ENTITY feh-version                  "3.2">
@@ -895,5 +895,5 @@
 <!ENTITY xchat-version                "2.8.8">
 <!ENTITY xdg-utils-version            "1.1.3">
-<!ENTITY xscreensaver-version         "5.42">
+<!ENTITY xscreensaver-version         "5.43">
 
 <!-- Part XI -->
@@ -982,5 +982,5 @@
 <!ENTITY xine-ui-version              "0.99.10">
 <!ENTITY transcode-version            "1.1.7">
-<!ENTITY vlc-version                  "3.0.6">
+<!ENTITY vlc-version                  "3.0.7.1">
 
 <!-- Chapter 45 -->
Index: x/installing/x7lib.xml
===================================================================
--- x/installing/x7lib.xml	(revision a6a4a3d5af5f2661bd84a4ff4440d1d2f888e30e)
+++ x/installing/x7lib.xml	(revision 2216c1b18426a8d3815fb9e7909b02ab18574a8b)
@@ -23,6 +23,6 @@
   <!ENTITY libFS-md5sum                    "4e1196275aa743d6ebd3d3d5ec1dff9c">
 
-  <!ENTITY libICE-version                  "1.0.9">
-  <!ENTITY libICE-md5sum                   "addfb1e897ca8079531669c7c7711726">
+  <!ENTITY libICE-version                  "1.0.10">
+  <!ENTITY libICE-md5sum                   "76d77499ee7120a56566891ca2c0dbcf">
 
   <!ENTITY libSM-version                   "1.2.3">
Index: x/lib/goffice010.xml
===================================================================
--- x/lib/goffice010.xml	(revision a6a4a3d5af5f2661bd84a4ff4440d1d2f888e30e)
+++ x/lib/goffice010.xml	(revision 2216c1b18426a8d3815fb9e7909b02ab18574a8b)
@@ -9,8 +9,8 @@
   <!ENTITY goffice010-download-ftp
             "&gnome-download-ftp;/goffice/0.10/goffice-&goffice010-version;.tar.xz">
-  <!ENTITY goffice010-md5sum        "219cc7a31a118a8e6c2d2262ec1fd974">
+  <!ENTITY goffice010-md5sum        "93c70ae02724ccc4155dc7d5c38cb4d4">
   <!ENTITY goffice010-size          "2.3 MB">
-  <!ENTITY goffice010-buildsize     "79 MB (add 3 MB for tests)">
-  <!ENTITY goffice010-time          "0.4 SBU (Using parallelism=4; add 0.1 SBU for tests)">
+  <!ENTITY goffice010-buildsize     "81 MB (with tests)">
+  <!ENTITY goffice010-time          "0.4 SBU (Using parallelism=4; add 1.0 SBU for tests)">
 ]>
 
Index: xsoft/other/balsa.xml
===================================================================
--- xsoft/other/balsa.xml	(revision a6a4a3d5af5f2661bd84a4ff4440d1d2f888e30e)
+++ xsoft/other/balsa.xml	(revision 2216c1b18426a8d3815fb9e7909b02ab18574a8b)
@@ -7,8 +7,8 @@
   <!ENTITY balsa-download-http "http://pawsa.fedorapeople.org/balsa/balsa-&balsa-version;.tar.bz2">
   <!ENTITY balsa-download-ftp  " ">
-  <!ENTITY balsa-md5sum        "33e06bad5f064156fe447b0d89a2f56d">
+  <!ENTITY balsa-md5sum        "3d1d06c29e3d2cf9ec648641f35f0865">
   <!ENTITY balsa-size          "4.3 MB">
-  <!ENTITY balsa-buildsize     "75 MB">
-  <!ENTITY balsa-time          "0.4 SBU">
+  <!ENTITY balsa-buildsize     "64 MB">
+  <!ENTITY balsa-time          "0.5 SBU">
 ]>
 
Index: xsoft/other/xscreensaver.xml
===================================================================
--- xsoft/other/xscreensaver.xml	(revision a6a4a3d5af5f2661bd84a4ff4440d1d2f888e30e)
+++ xsoft/other/xscreensaver.xml	(revision 2216c1b18426a8d3815fb9e7909b02ab18574a8b)
@@ -7,8 +7,8 @@
   <!ENTITY xscreensaver-download-http "https://www.jwz.org/xscreensaver/xscreensaver-&xscreensaver-version;.tar.gz">
   <!ENTITY xscreensaver-download-ftp  " ">
-  <!ENTITY xscreensaver-md5sum        "881a9218ef9f95d0d9ba76303def5568">
+  <!ENTITY xscreensaver-md5sum        "aa856bce076e58b021bfc0295fdc45e1">
   <!ENTITY xscreensaver-size          "26 MB">
-  <!ENTITY xscreensaver-buildsize     "247 MB">
-  <!ENTITY xscreensaver-time          "1.2 SBU">
+  <!ENTITY xscreensaver-buildsize     "249 MB">
+  <!ENTITY xscreensaver-time          "1.0 SBU">
 ]>
 