Index: gnome/lib/bonobo/bonobo-activation-desc.xml
===================================================================
--- gnome/lib/bonobo/bonobo-activation-desc.xml	(revision ccdc9c5383784246741c24e6ba57612642154fe6)
+++ gnome/lib/bonobo/bonobo-activation-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
@@ -2,5 +2,6 @@
 <title>Contents</title>
 
-<para>The bonobo-activation package contains <userinput>libbonobo-activation libraries</userinput>.</para>
+<para>The bonobo-activation package contains
+<filename>libbonobo-activation</filename> libraries.</para>
 
 </sect2>
Index: gnome/lib/eel/eel-desc.xml
===================================================================
--- gnome/lib/eel/eel-desc.xml	(revision ccdc9c5383784246741c24e6ba57612642154fe6)
+++ gnome/lib/eel/eel-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The eel package contains <userinput>libeel libraries</userinput>.</para>
+<para>The eel package contains <filename>libeel</filename> libraries.</para>
 
 </sect2>
Index: gnome/lib/gail/gail-desc.xml
===================================================================
--- gnome/lib/gail/gail-desc.xml	(revision ccdc9c5383784246741c24e6ba57612642154fe6)
+++ gnome/lib/gail/gail-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The gail package contains <userinput>libgailutil libraries</userinput>.</para>
+<para>The gail package contains <filename>libgailutil</filename> libraries.</para>
 
 </sect2>
Index: gnome/lib/gconf/gconf-desc.xml
===================================================================
--- gnome/lib/gconf/gconf-desc.xml	(revision ccdc9c5383784246741c24e6ba57612642154fe6)
+++ gnome/lib/gconf/gconf-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The GConf package contains <userinput>libgconf libraries</userinput>.</para>
+<para>The GConf package contains <filename>libgconf</filename> libraries.</para>
 
 </sect2>
@@ -9,5 +9,5 @@
 
 <sect3><title>libgconf libraries</title>
-<para>libgconf libraries provides the functions necessary to maintain
+<para>libgconf libraries provide the functions necessary to maintain
 the configuration database.</para></sect3>
 
Index: gnome/lib/gconf/gconf1-desc.xml
===================================================================
--- gnome/lib/gconf/gconf1-desc.xml	(revision ccdc9c5383784246741c24e6ba57612642154fe6)
+++ gnome/lib/gconf/gconf1-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The GConf package contains <userinput>libgconf libraries</userinput>.</para>
+<para>The GConf package contains <filename>libgconf</filename> libraries.</para>
 
 </sect2>
@@ -9,5 +9,5 @@
 
 <sect3><title>libgconf libraries</title>
-<para>libgconf libraries provides the functions necessary to maintain
+<para>libgconf libraries provide the functions necessary to maintain
 the configuration database.</para></sect3>
 
Index: gnome/lib/gdk/gdk-desc.xml
===================================================================
--- gnome/lib/gdk/gdk-desc.xml	(revision ccdc9c5383784246741c24e6ba57612642154fe6)
+++ gnome/lib/gdk/gdk-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The gdk-pixbuf package contains <userinput>GTK+ pixbuf libraries</userinput>.</para>
+<para>The gdk-pixbuf package contains <filename>libgdk_pixbuf</filename> libraries.</para>
 
 </sect2>
@@ -8,6 +8,6 @@
 <sect2><title>Description</title>
 
-<sect3><title>GTK+ pixbuf libraries</title>
-<para>GTK+ pixbuf libraries contains the GTK+ pixbuf libraries for the Gimp
+<sect3><title>libgdk_pixbuf libraries</title>
+<para>libdgk_pixbuf libraries contain the GTK+ pixbuf libraries for the Gimp
 Tool Kit.</para></sect3>
 
Index: gnome/lib/gnome-mime-data/gnome-mime-data-desc.xml
===================================================================
--- gnome/lib/gnome-mime-data/gnome-mime-data-desc.xml	(revision ccdc9c5383784246741c24e6ba57612642154fe6)
+++ gnome/lib/gnome-mime-data/gnome-mime-data-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
@@ -2,6 +2,8 @@
 <title>Contents</title>
 
-<para>The gnome-mime-data package contains <userinput>icons</userinput>,
-<userinput>application-registry</userinput> and <userinput>mime-info</userinput>.</para>
+<para>The gnome-mime-data package contains
+<filename>$GNOME_PREFIX/share/icons</filename>,
+<filename>$GNOME_PREFIX/share/application-registry</filename> and
+<filename>$GNOME_PREFIX/share/mime-info</filename>.</para>
 
 </sect2>
@@ -10,11 +12,11 @@
 
 <sect3><title>icons</title>
-<para>loads all the default document type icons.</para></sect3>
+<para>icons contains all the default document type icons.</para></sect3>
 
 <sect3><title>application-registry</title>
-<para>initializes the application mime database.</para></sect3>
+<para>application-registry contains the application mime database.</para></sect3>
 
 <sect3><title>mime-info</title>
-<para>initializes the mime description database.</para></sect3>
+<para>mime-info contains the mime description database.</para></sect3>
 
 </sect2>
Index: gnome/lib/gnome-vfs/gnome-vfs-desc.xml
===================================================================
--- gnome/lib/gnome-vfs/gnome-vfs-desc.xml	(revision ccdc9c5383784246741c24e6ba57612642154fe6)
+++ gnome/lib/gnome-vfs/gnome-vfs-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The gnome-vfs package contains <userinput>libgnomevfs libraries</userinput>.</para>
+<para>The gnome-vfs package contains <filename>libgnomevfs</filename> libraries.</para>
 
 </sect2>
Index: gnome/lib/gnome-vfs/gnome-vfs-intro.xml
===================================================================
--- gnome/lib/gnome-vfs/gnome-vfs-intro.xml	(revision ccdc9c5383784246741c24e6ba57612642154fe6)
+++ gnome/lib/gnome-vfs/gnome-vfs-intro.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
@@ -9,5 +9,5 @@
 Estimated build time:           &gnome-vfs-time;</screen>
 
-<para>The gnome-vfs package contains file system libraries. This is used
+<para>The gnome-vfs package contains virutal file system libraries. This is used
 as one of the foundations of the Nautilus file manager.</para>
 
Index: server/mail/postfix/postfix-config.xml
===================================================================
--- server/mail/postfix/postfix-config.xml	(revision ccdc9c5383784246741c24e6ba57612642154fe6)
+++ server/mail/postfix/postfix-config.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
@@ -20,13 +20,14 @@
 <userinput>EOF</userinput></screen></para>
 
-<para>The /etc/aliases file that was just created, the main.cf and the 
-master.cf must be personalized for your system. The aliases file needs your 
+<para>The <filename>/etc/aliases</filename> file that was just created,
+the <filename>main.cf</filename> and the <filename>master.cf</filename>
+must be personalized for your system. The <filename>aliases</filename> file needs your 
 non-root login identity so mail addressed to root can be forwarded to 
-you at the user level.  The main.cf file needs your fully qualified 
-hostname.  The master.cf needs to be modified to prevent your machine from 
+you at the user level.  The <filename>main.cf</filename> file needs your fully qualified 
+hostname.  The <filename>master.cf</filename> needs to be modified to prevent your machine from 
 becoming a relay for unauthorized entities.  All of these edits can be done 
 with sed commands entered into the console with appropriate substitutions of 
 your non-root login name for [user] and your fully qualified hostname for 
-[localhost.localdomain]. You will find the main.cf file is self documenting, so load it into your editor to make the changes you need for your situation.</para>
+[localhost.localdomain]. You will find the <filename>main.cf</filename> file is self documenting, so load it into your editor to make the changes you need for your situation.</para>
 
 <para><screen><userinput>cp /etc/aliases /etc/aliases.bak
@@ -87,5 +88,6 @@
 chmod 755 /etc/rc.d/init.d/postfix</userinput></screen></para>
 
-<para>Create the symbolic links to this file in the relevant rc.d directory with the following commands:
+<para>Create the symbolic links to this file in the relevant
+<filename>rc.d</filename> directory with the following commands:
 
 <screen><userinput>cd /etc/rc.d/init.d &amp;&amp;
Index: server/mail/qmail/qmail-config.xml
===================================================================
--- server/mail/qmail/qmail-config.xml	(revision ccdc9c5383784246741c24e6ba57612642154fe6)
+++ server/mail/qmail/qmail-config.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
@@ -75,5 +75,6 @@
 chmod 755 /etc/rc.d/init.d/qmail</userinput></screen></para>
 
-<para>Create the symbolic links to this file in the relevant rc.d directory with the following commands:
+<para>Create the symbolic links to this file in the relevant
+<filename>rc.d</filename> directory with the following commands:
 
 <screen><userinput>cd /etc/rc.d/init.d &amp;&amp;
Index: server/mail/qpopper/qpopper-config.xml
===================================================================
--- server/mail/qpopper/qpopper-config.xml	(revision ccdc9c5383784246741c24e6ba57612642154fe6)
+++ server/mail/qpopper/qpopper-config.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
@@ -20,9 +20,10 @@
 killall -HUP  syslogd</userinput></screen></para>
 
-<para>Issue a killall -HUP inetd to reread the changed inetd.conf
+<para>Issue a killall -HUP inetd to reread the changed
+<filename>inetd.conf</filename>
 file.</para>
 
 <para>If you use xinetd, the following command will add the qpopper
-entry to /etc/xinetd.conf:</para>
+entry to <filename>/etc/xinetd.conf</filename>:</para>
 
 <para><screen><userinput>cat &gt;&gt; /etc/xinetd.conf &lt;&lt; "EOF"
@@ -39,5 +40,6 @@
      }
 EOF</userinput></screen></para>
-<para>Issue a killall -HUP xinetd to reread the changed xinetd.conf
+<para>Issue a killall -HUP xinetd to reread the changed
+<filename>xinetd.conf</filename>
 file.</para>
 
Index: server/other/samba/samba-exp.xml
===================================================================
--- server/other/samba/samba-exp.xml	(revision ccdc9c5383784246741c24e6ba57612642154fe6)
+++ server/other/samba/samba-exp.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
@@ -6,9 +6,12 @@
 Directories needed for proper operation of the smbd and nmbd daemons.</para>
 
-<para><userinput>--prefix=/usr</userinput> : Sets the prefix for almost all the file paths to /usr.</para>
+<para><userinput>--prefix=/usr</userinput> : Sets the prefix for almost
+all the file paths to <filename>/usr</filename>.</para>
 
-<para><userinput>--sysconfdir=/etc</userinput> : Sets the configuration file directory to avoid the default of /usr/etc.</para>
+<para><userinput>--sysconfdir=/etc</userinput> : Sets the configuration
+file directory to avoid the default of <filename>/usr/etc</filename>.</para>
 
-<para><userinput>--localstatedir=/var</userinput> : Sets the variable data directory to avoid the default of /usr/var.</para>
+<para><userinput>--localstatedir=/var</userinput> : Sets the variable
+data directory to avoid the default of <filename>/usr/var</filename>.</para>
 
 <para><userinput>--with-fhs</userinput> : Assigns all other file paths in a manner compliant with the Filesystem Hierarchy Standard.</para>
@@ -16,5 +19,6 @@
 <para><userinput>--with-smbmount</userinput> : Orders the creation of an extra binary for use by the mount command so that mounting remote SMB (windows) shares becomes no more complex than mounting remote NFS shares.</para>
 
-<para><userinput>rm -rf /usr/private</userinput> : Removes a directory erroneously created by source/scripts/installbin.sh during the make install.</para>
+<para><userinput>rm -rf /usr/private</userinput> : Removes a directory
+erroneously created by <filename>source/scripts/installbin.sh</filename> during the make install.</para>
 
 </sect2>
Index: xsoft/office/evolution/db-3.1-intro.xml
===================================================================
--- xsoft/office/evolution/db-3.1-intro.xml	(revision ccdc9c5383784246741c24e6ba57612642154fe6)
+++ xsoft/office/evolution/db-3.1-intro.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
@@ -10,5 +10,5 @@
 <para>The db-&db-3.1-version; package contains version &db-3.1-version; 
 of the Berkeley database. Evolution needs exactly this version and not any
-other, the details on "why" are in the README file distibuted with the
+other, the details on "why" are in the <filename>README</filename> file distibuted with the
 evolution source code. Evolution links to the library statically, hence this
 book installs the db-&db-3.1-version; in /opt, which can be removed once