Index: general/prog/new-perl-modules.xml
===================================================================
--- general/prog/new-perl-modules.xml	(revision 866defbaf0cc0804bb49e2fc5b980deeeaa22963)
+++ general/prog/new-perl-modules.xml	(revision 2281ba4238dafb02f817a5ad6b68931568f1f128)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="new-perl-modules" xreflabel="Perl Modules (new page)">
+<sect1 id="new-perl-modules" xreflabel="Perl Modules">
   <?dbhtml filename="new-perl-modules.html" ?>
 
@@ -14,8 +14,8 @@
   </sect1info>
 
-  <title>Perl Modules (new page)</title>
+  <title>Perl Modules</title>
 
   <indexterm zone="new-perl-modules">
-    <primary sortas="a-new-perl-Modules">Perl Modules</primary>
+    <primary sortas="a-perl-Modules">Perl Modules</primary>
   </indexterm>
 
@@ -228,4 +228,9 @@
       <listitem>
         <para>
+          <xref linkend="new-perl-text-csv"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
           <xref linkend="new-perl-text-roman"/>
         </para>
@@ -352,4 +357,7 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-text-csv.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="perl-modules/perl-text-roman.xml"/>
 
Index: general/prog/perl-deps.xml
===================================================================
--- general/prog/perl-deps.xml	(revision 866defbaf0cc0804bb49e2fc5b980deeeaa22963)
+++ general/prog/perl-deps.xml	(revision 2281ba4238dafb02f817a5ad6b68931568f1f128)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="perl-deps" xreflabel="Subsidiary Perl Modules">
+<sect1 id="perl-deps" xreflabel="Perl Module Dependenciess">
   <?dbhtml filename="perl-deps.html" ?>
 
@@ -14,8 +14,8 @@
   </sect1info>
 
-  <title>Subsidiary Perl Modules</title>
-
-  <indexterm zone="new-perl-modules">
-    <primary sortas="a-perl-deps">Perl Dependencies</primary>
+  <title>Perl Module Dependenciess</title>
+
+  <indexterm zone="perl-deps">
+    <primary sortas="a-perl-module-dependencies">Perl Module Dependencies</primary>
   </indexterm>
 
@@ -183,4 +183,9 @@
       <listitem>
         <para>
+          <xref linkend="perl-text-csv_xs"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
           <xref linkend="new-perl-text-glob"/>
         </para>
@@ -289,4 +294,7 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-deps/perl-text-csv_xs.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="perl-deps/perl-text-glob.xml"/>
 
Index: general/prog/perl-deps/perl-text-csv_xs.xml
===================================================================
--- general/prog/perl-deps/perl-text-csv_xs.xml	(revision 2281ba4238dafb02f817a5ad6b68931568f1f128)
+++ general/prog/perl-deps/perl-text-csv_xs.xml	(revision 2281ba4238dafb02f817a5ad6b68931568f1f128)
@@ -0,0 +1,56 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../../general.ent">
+  %general-entities;
+
+ <!-- .tgz -->
+  <!ENTITY my-download-http "&metacpan_authors;/H/HM/HMBRAND/Text-CSV_XS-&Text-CSV_XS-version;.tgz">
+  <!ENTITY my-md5sum "46bd187f59749af0be77f9f5cd106e6b">
+
+]>
+
+  <!-- Begin Text::CSV_XS -->
+  <sect2 id="perl-text-csv_xs" xreflabel="Text-CSV_XS-&Text-CSV_XS-version;">
+
+    <title>Text::CSV_XS-&Text-CSV_XS-version;</title>
+
+    <indexterm zone="perl-text-csv_xs">
+      <primary sortas="a-Text-CSV_XS">Text::CSV_XS</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to Text::CSV_XS</title>
+
+      <para>
+        Text::CSV_XS provides facilities for the composition and decomposition
+        of comma-separated values.
+      </para>
+
+      &lfs83_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&my-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &my-md5sum;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of Text::CSV_XS</title>
+
+      <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+                  href="../../../xincludes/perl-standard-install.xml"/>
+
+    </sect3>
+
+  </sect2>
Index: general/prog/perl-modules/perl-text-csv.xml
===================================================================
--- general/prog/perl-modules/perl-text-csv.xml	(revision 2281ba4238dafb02f817a5ad6b68931568f1f128)
+++ general/prog/perl-modules/perl-text-csv.xml	(revision 2281ba4238dafb02f817a5ad6b68931568f1f128)
@@ -0,0 +1,63 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../../general.ent">
+  %general-entities;
+
+  <!ENTITY my-download-http "&perl_authors;/id/I/IS/ISHIGAKI/Text-CSV-&Text-CSV-version;.tar.gz">
+  <!ENTITY my-md5sum "06e9ff3c867fa5ba7f8793ae06ea73ac">
+
+]>
+
+  <!-- Begin Text::CSV -->
+  <sect2 id="new-perl-text-csv" xreflabel="Text-CSV-&Text-CSV-version;">
+
+    <title>Text::CSV-&Text-CSV-version;</title>
+
+    <indexterm zone="new-perl-text-csv">
+      <primary sortas="a-Text-CSV">Text::CSV</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to Text::CSV</title>
+
+      <para>
+        Text::CSV is a comma-separated values manipulator, using XS
+        (eXternal Subroutine - for subroutines written in C or C++)
+        or pure perl.
+      </para>
+
+      &lfs83_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&my-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &my-md5sum;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <bridgehead renderas="sect4">Text::CSV Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Recommended</bridgehead>
+      <para role="recommended">
+        <xref linkend="perl-text-csv_xs"/> (Required by <xref linkend="biber"/>)
+      </para>
+
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of Text::CSV</title>
+
+      <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+                  href="../../../xincludes/perl-standard-install.xml"/>
+
+    </sect3>
+
+  </sect2>
Index: pst/typesetting/biber.xml
===================================================================
--- pst/typesetting/biber.xml	(revision 866defbaf0cc0804bb49e2fc5b980deeeaa22963)
+++ pst/typesetting/biber.xml	(revision 2281ba4238dafb02f817a5ad6b68931568f1f128)
@@ -136,5 +136,5 @@
       <xref linkend="new-perl-sort-key"/>
       <xref linkend="new-perl-text-bibtex"/>
-      <xref linkend="perl-text-csv"/>
+      <xref linkend="new-perl-text-csv"/>
       <!-- Text-CSV_XS is a recommended dependency for Text-CSV -->
       <xref linkend="new-perl-text-roman"/>