Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision e4ca0af783a59a30f24ce5b2c0fa99977778af8d)
+++ introduction/welcome/changelog.xml	(revision 2315c0bce2f7708bcb4cc679281095317c8512f1)
@@ -46,4 +46,8 @@
       <itemizedlist>
         <listitem>
+          <para>[dj] - Update to Chromium-58.0.3029.81. Fixes
+          <ulink url="&blfs-ticket-root;9154">#9154</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[dj] - Add Node.js-7.9.0.</para>
         </listitem>
Index: packages.ent
===================================================================
--- packages.ent	(revision e4ca0af783a59a30f24ce5b2c0fa99977778af8d)
+++ packages.ent	(revision 2315c0bce2f7708bcb4cc679281095317c8512f1)
@@ -705,5 +705,5 @@
 
 <!-- Chapter 43 -->
-<!ENTITY chromium-version             "57.0.2987.133">
+<!ENTITY chromium-version             "58.0.3029.81">
 <!ENTITY firefox-version              "53.0">
 <!ENTITY flashplayer-version          "25.0.0.148">
Index: xsoft/graphweb/chromium.xml
===================================================================
--- xsoft/graphweb/chromium.xml	(revision e4ca0af783a59a30f24ce5b2c0fa99977778af8d)
+++ xsoft/graphweb/chromium.xml	(revision 2315c0bce2f7708bcb4cc679281095317c8512f1)
@@ -7,8 +7,8 @@
   <!ENTITY chromium-download-http "https://commondatastorage.googleapis.com/chromium-browser-official/chromium-&chromium-version;.tar.xz">
   <!ENTITY chromium-download-ftp  " ">
-  <!ENTITY chromium-md5sum        "23f8692653858bff32e60fac702abe05">
-  <!ENTITY chromium-size          "501 MB">
-  <!ENTITY chromium-buildsize     "5.2 GB">
-  <!ENTITY chromium-time          "94 SBU">
+  <!ENTITY chromium-md5sum        "fe28227f5f4aa05709b9cbd47a5cf426">
+  <!ENTITY chromium-size          "483 MB">
+  <!ENTITY chromium-buildsize     "5.3 GB">
+  <!ENTITY chromium-time          "94 SBU (with 4 threads)">
   <!-- Ninja defaults to parallel build unless supplying -j1, SBU measured on
   dual core, hyperthreaded CPU (4 threads).                               -->
@@ -81,8 +81,8 @@
       </listitem>
       <listitem>
-        <para>Download MD5 sum: 52a4341475511d3627a86a344c0831ce</para>
-      </listitem>
-      <listitem>
-        <para>Download size: 46 MB</para>
+        <para>Download MD5 sum: 65b7afdac7796e9a1ec21008fa82e403</para>
+      </listitem>
+      <listitem>
+        <para>Download size: 55 MB</para>
       </listitem>
     </itemizedlist>
@@ -116,4 +116,5 @@
       <xref linkend="mesa"/>,
       <xref linkend="ninja"/>,
+      <xref linkend="nodejs"/>,
       <xref linkend="nss"/>,
       <xref linkend="python2"/>,
@@ -127,5 +128,5 @@
       <xref linkend="flac"/>,
       <xref linkend="git"/>,
-      <!-- <xref linkend="icu"/>, -->
+<!--      <xref linkend="icu"/>, -->
       <xref linkend="libevent"/>,
       <xref linkend="libexif"/>,
@@ -133,5 +134,5 @@
       <xref linkend="libpng"/>,
       <xref linkend="libsecret"/>,
-      <xref linkend="libvpx"/>,
+<!--      <xref linkend="libvpx"/>, -->
       <xref linkend="libwebp"/>,
       <xref linkend="pciutils"/>,
@@ -144,8 +145,8 @@
     <para role="optional">
       <xref linkend="GConf"/>,
+      <xref linkend="icu"/> (currently broken),
       <xref linkend="gnome-keyring"/>,
+      <xref linkend="libvpx"/> (currently broken),
       <xref linkend="libxml2"/>,
-      <!-- <xref linkend="libvpx"/>, -->
-      <xref linkend="icu"/>,
       <ulink url="https://devel.freebsoft.org/speechd">speech-dispatcher</ulink>
       (for the screen reader), and
@@ -186,8 +187,8 @@
         Chromium uses many external projects, the selections below are not set
         in stone, however they have been tested thoroughly. With Chromium
-        &chromium-version;, system versions of icu, libxml2, and zlib
+        &chromium-version;, system versions of icu, libvpx, libxml2, and zlib
         are known to break the build at this time.
-        <!-- icu59 introduces /uchar16/&_t/, should be fixed in c58 -->
         <!-- libxml2: https://bugs.archlinux.org/task/29939 -->
+        <!-- libvpx: https://bugs.gentoo.org/show_bug.cgi?id=611394 -->
         <!-- zlib requires libminizip -->
       </para>
@@ -196,10 +197,19 @@
 <!-- Again, thanks to Arch, this is much better than listing all the needed
 shipped libs required to use the remove_bundled_files.py script -->
-<screen><userinput>for LIB in ffmpeg flac harfbuzz-ng <!-- icu --> libevent libjpeg \
+<!--<screen><userinput>for LIB in ffmpeg flac harfbuzz-ng icu libevent libjpeg \
            libjpeg_turbo libpng libvpx libwebp libxslt yasm; do
     find -type f -path "*third_party/$LIB/*"     \
         \! -path "*third_party/$LIB/chromium/*"  \
         \! -path "*third_party/$LIB/google/*"    \
-        <!-- \! -path "*base/third_party/icu/*"       \ -->
+        \! -path "*base/third_party/icu/*"       \
+        \! -path "*base/third_party/libevent/*"  \
+        \! -regex '.*\.\(gn\|gni\|isolate\|py\)' \
+        -delete
+done &amp;&amp; -->
+<screen><userinput>for LIB in ffmpeg flac harfbuzz-ng libevent libjpeg \
+           libjpeg_turbo libpng libwebp libxslt yasm; do
+    find -type f -path "*third_party/$LIB/*"     \
+        \! -path "*third_party/$LIB/chromium/*"  \
+        \! -path "*third_party/$LIB/google/*"    \
         \! -path "*base/third_party/libevent/*"  \
         \! -regex '.*\.\(gn\|gni\|isolate\|py\)' \
@@ -208,6 +218,6 @@
 
 python build/linux/unbundle/replace_gn_files.py \
-    --system-libraries ffmpeg flac harfbuzz-ng <!-- icu --> libevent libjpeg \
-                       libpng libwebp libvpx libxslt yasm &amp;&amp;
+    --system-libraries ffmpeg flac harfbuzz-ng<!--icu--> libevent libjpeg \
+                       libpng libwebp libxslt yasm &amp;&amp;
 python third_party/libaddressinput/chromium/tools/update-strings.py</userinput></screen>
 
@@ -264,11 +274,15 @@
     <application>Ninja</application> build files:</para>
 
-<screen><userinput>python tools/gn/bootstrap/bootstrap.py --gn-gen-args "${GN_CONFIG[*]}" &amp;&amp;
+<screen><userinput>sed "/internal\.cc',/a\      'base/callback_helpers.cc'," \
+    -i tools/gn/bootstrap/bootstrap.py &amp;&amp;
+python tools/gn/bootstrap/bootstrap.py --gn-gen-args "${GN_CONFIG[*]}" &amp;&amp;
 out/Release/gn gen out/Release --args="${GN_CONFIG[*]}"</userinput></screen>
 
     <para>Build <application>Chromium</application> using the following
-    command:</para>
-
-<screen><userinput>ninja -C out/Release chrome chrome_sandbox chromedriver widevinecdmadapter</userinput></screen>
+    commands:</para>
+
+<screen><userinput>mkdir -p third_party/node/linux/node-linux-x64/bin &amp;&amp;
+ln -s /usr/bin/node third_party/node/linux/node-linux-x64/bin/ &amp;&amp;
+ninja -C out/Release chrome chrome_sandbox chromedriver widevinecdmadapter</userinput></screen>
 
     <para>This package was already tested as part of the build.</para>
@@ -356,4 +370,7 @@
     all of the defines used in the build.</para>
 
+    <para><command>sed...tools/gn/bootstrap/bootstrap.py</command>: Fix a
+    build issue with <application>gn</application>.</para>
+
     <para><command>python tools/gn/bootstrap/bootstrap.py --gn-gen-args "${GN_CONFIG[*]}"</command>:
     this command replaces defines in the gn files with the values contained in 
@@ -365,4 +382,9 @@
     a <application>Ninja</application> configuration suitable for the build
     machine.</para>
+
+    <para><command>mkdir...ln -s /usr/bin/node
+    third_party/node/linux/node-linux-x64/bin/</command>: these commands
+    replaced the local <application>Node.js</application> (no longer available)
+    with the system installed <application>Node.js</application>.</para>
 
     <para><command>ar -x ../../google-chrome-stable*.deb</command>: