Index: general/genlib/grantlee.xml
===================================================================
--- general/genlib/grantlee.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ general/genlib/grantlee.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/xapian.xml
===================================================================
--- general/genlib/xapian.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ general/genlib/xapian.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/libraw.xml
===================================================================
--- general/graphlib/libraw.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ general/graphlib/libraw.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ introduction/welcome/changelog.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -46,4 +46,8 @@
       <para>August 19th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to kf5-apps-19.08.0. Fixes
+          <ulink url="&blfs-ticket-root;12124">#12124</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to kf5-5.61.0. Fixes
Index: kde/kf5-apps/ark5.xml
===================================================================
--- kde/kf5-apps/ark5.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ kde/kf5-apps/ark5.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -7,5 +7,5 @@
   <!ENTITY ark5-download-http "&kf5apps-download-http;/ark-&kf5apps-version;.tar.xz">
   <!ENTITY ark5-download-ftp  " ">
-  <!ENTITY ark5-md5sum        "8850f64c6c4374e5973804d8cb029758">
+  <!ENTITY ark5-md5sum        "1a4bc737591957d2461328c43d7976eb">
   <!ENTITY ark5-size          "2.5 MB">
   <!ENTITY ark5-buildsize     "25 MB">
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/gwenview.xml
===================================================================
--- kde/kf5-apps/gwenview.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ kde/kf5-apps/gwenview.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -7,8 +7,8 @@
   <!ENTITY gwenview5-download-http "&kf5apps-download-http;/gwenview-&kf5apps-version;.tar.xz">
   <!ENTITY gwenview5-download-ftp  " ">
-  <!ENTITY gwenview5-md5sum        "ab67e12f3e9cc851464741bcf8a0cd74">
+  <!ENTITY gwenview5-md5sum        "5ff7266c47db9e5ddbb3aa0e6e34c980">
   <!ENTITY gwenview5-size          "5.5 MB">
   <!ENTITY gwenview5-buildsize     "34 MB">
-  <!ENTITY gwenview5-time          "0.7 SBU (using parallelism=4)">
+  <!ENTITY gwenview5-time          "0.6 SBU (using parallelism=4)">
 ]>
 
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -107,5 +107,5 @@
   <sect2 role="installation">
     <title>Installation of Gwenview</title>
-
+<!--
     <para>
       First, fix a minor issue with Exiv2-&exiv2-version;: 
@@ -113,5 +113,5 @@
 
 <screen><userinput>sed -i '/iptc.hpp/a#include &lt;exiv2/error.hpp&gt;' lib/imagemetainfomodel.cpp</userinput></screen>
-
+-->
     <para>
       Install <application>Gwenview</application> by running the following
Index: kde/kf5-apps/k3b.xml
===================================================================
--- kde/kf5-apps/k3b.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ kde/kf5-apps/k3b.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -54,5 +54,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/kdenlive5.xml
===================================================================
--- kde/kf5-apps/kdenlive5.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ kde/kf5-apps/kdenlive5.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -7,7 +7,7 @@
   <!ENTITY kdenlive5-download-http "&kf5apps-download-http;/kdenlive-&kf5apps-version;.tar.xz">
   <!ENTITY kdenlive5-download-ftp  " ">
-  <!ENTITY kdenlive5-md5sum        "b4a183a5cfb73453aa6b122e4b7e23ab">
-  <!ENTITY kdenlive5-size          "11 MB">
-  <!ENTITY kdenlive5-buildsize     "364 MB">
+  <!ENTITY kdenlive5-md5sum        "84fa3c806680c8ef72f89fd51ee2df64">
+  <!ENTITY kdenlive5-size          "12 MB">
+  <!ENTITY kdenlive5-buildsize     "369 MB">
   <!ENTITY kdenlive5-time          "2.0 SBU (using parallelism=4)">
 ]>
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/khelpcenter.xml
===================================================================
--- kde/kf5-apps/khelpcenter.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ kde/kf5-apps/khelpcenter.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -7,5 +7,5 @@
   <!ENTITY khelpcenter-download-http "&kf5apps-download-http;/khelpcenter-&kf5apps-version;.tar.xz">
   <!ENTITY khelpcenter-download-ftp  " ">
-  <!ENTITY khelpcenter-md5sum        "fcf4ab2982311747accf4be1e25fba29">
+  <!ENTITY khelpcenter-md5sum        "0a10db2a3c8e5b3fcf21c467f7c2b9f4">
   <!ENTITY khelpcenter-size          "3.7 MB">
   <!ENTITY khelpcenter-buildsize     "24 MB">
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/kmix5.xml
===================================================================
--- kde/kf5-apps/kmix5.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ kde/kf5-apps/kmix5.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -7,6 +7,6 @@
   <!ENTITY kmix5-download-http "&kf5apps-download-http;/kmix-&kf5apps-version;.tar.xz">
   <!ENTITY kmix5-download-ftp  " ">
-  <!ENTITY kmix5-md5sum        "d7c0dc5f49170e435a25abd8c3f63f94">
-  <!ENTITY kmix5-size          "1.0 MB">
+  <!ENTITY kmix5-md5sum        "5cb21b19501c46b1195c2a8e02773b43">
+  <!ENTITY kmix5-size          "984 KB">
   <!ENTITY kmix5-buildsize     "14 MB">
   <!ENTITY kmix5-time          "0.3 SBU (using parallelism=4)">
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/konsole5.xml
===================================================================
--- kde/kf5-apps/konsole5.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ kde/kf5-apps/konsole5.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -7,7 +7,7 @@
   <!ENTITY konsole5-download-http "&kf5apps-download-http;/konsole-&kf5apps-version;.tar.xz">
   <!ENTITY konsole5-download-ftp  " ">
-  <!ENTITY konsole5-md5sum        "9a63b88256a0c93984e895b2d60c4122">
+  <!ENTITY konsole5-md5sum        "8cb4b9121c05df8150a132ef8b8752c4">
   <!ENTITY konsole5-size          "1.1 MB">
-  <!ENTITY konsole5-buildsize     "24 MB">
+  <!ENTITY konsole5-buildsize     "25 MB">
   <!ENTITY konsole5-time          "0.4 SBU (using parallism=4)">
 ]>
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/libkcddb.xml
===================================================================
--- kde/kf5-apps/libkcddb.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ kde/kf5-apps/libkcddb.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -7,8 +7,8 @@
   <!ENTITY libkcddb-download-http "&kf5apps-download-http;/libkcddb-&kf5apps-version;.tar.xz">
   <!ENTITY libkcddb-download-ftp  " ">
-  <!ENTITY libkcddb-md5sum        "75b176863c1cc196dd343ff1b99f9b21">
+  <!ENTITY libkcddb-md5sum        "81c924e95d14caa75542df3687cf6a1c">
   <!ENTITY libkcddb-size          "416 KB">
-  <!ENTITY libkcddb-buildsize     "8.5 MB">
-  <!ENTITY libkcddb-time          "0.5 SBU">
+  <!ENTITY libkcddb-buildsize     "8.4 MB">
+  <!ENTITY libkcddb-time          "0.4 SBU">
 ]>
 
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/libkdcraw.xml
===================================================================
--- kde/kf5-apps/libkdcraw.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ kde/kf5-apps/libkdcraw.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -7,8 +7,8 @@
   <!ENTITY libkdcraw-download-http "&kf5apps-download-http;/libkdcraw-&kf5apps-version;.tar.xz">
   <!ENTITY libkdcraw-download-ftp  " ">
-  <!ENTITY libkdcraw-md5sum        "44f355eb057be6191b3aed8918e26b3c">
+  <!ENTITY libkdcraw-md5sum        "897c8a580f6909638242a3b4f410dc18">
   <!ENTITY libkdcraw-size          "44 KB">
-  <!ENTITY libkdcraw-buildsize     "1.3 MB">
-  <!ENTITY libkdcraw-time          "0.1 SBU">
+  <!ENTITY libkdcraw-buildsize     "1.2 MB">
+  <!ENTITY libkdcraw-time          "less than 0.1 SBU">
 ]>
 
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/libkexiv2.xml
===================================================================
--- kde/kf5-apps/libkexiv2.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ kde/kf5-apps/libkexiv2.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -7,7 +7,7 @@
   <!ENTITY libkexiv2-download-http "&kf5apps-download-http;/libkexiv2-&kf5apps-version;.tar.xz">
   <!ENTITY libkexiv2-download-ftp  " ">
-  <!ENTITY libkexiv2-md5sum        "a8c22e6fa7f28e1fa193166d8a7536c5">
+  <!ENTITY libkexiv2-md5sum        "f26ba6f5c79a5d3dfd9e3a25fc0c74e5">
   <!ENTITY libkexiv2-size          "64 KB">
-  <!ENTITY libkexiv2-buildsize     "2.8 MB">
+  <!ENTITY libkexiv2-buildsize     "2.7 MB">
   <!ENTITY libkexiv2-time          "0.2 SBU">
 ]>
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5-apps/okular5.xml
===================================================================
--- kde/kf5-apps/okular5.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ kde/kf5-apps/okular5.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -7,7 +7,7 @@
   <!ENTITY okular5-download-http "&kf5apps-download-http;/okular-&kf5apps-version;.tar.xz">
   <!ENTITY okular5-download-ftp  " ">
-  <!ENTITY okular5-md5sum        "d0105dfc61ddac2e0defc22559adf1ae">
-  <!ENTITY okular5-size          "6.4 MB">
-  <!ENTITY okular5-buildsize     "61 MB">
+  <!ENTITY okular5-md5sum        "0ff6de9c7dba4580c7f34d47a13b7302">
+  <!ENTITY okular5-size          "6.7 MB">
+  <!ENTITY okular5-buildsize     "62 MB">
   <!ENTITY okular5-time          "1.1 SBU (using parallelism=4)">
 ]>
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/audioutils/kwave.xml
===================================================================
--- multimedia/audioutils/kwave.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ multimedia/audioutils/kwave.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -7,7 +7,7 @@
   <!ENTITY kwave-download-http "&kf5apps-download-http;/kwave-&kf5apps-version;.tar.xz">
   <!ENTITY kwave-download-ftp  " ">
-  <!ENTITY kwave-md5sum        "096ad66ad5bf2bc6e2820221c232c951">
+  <!ENTITY kwave-md5sum        "6aca4382b837d80724190b69b65f33f6">
   <!ENTITY kwave-size          "5.9 MB">
-  <!ENTITY kwave-buildsize     "57 MB">
+  <!ENTITY kwave-buildsize     "56 MB">
   <!ENTITY kwave-time          "1.2 SBU (using parallelism=4)">
 ]>
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/cdwriteutils/cdrtools.xml
===================================================================
--- multimedia/cdwriteutils/cdrtools.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ multimedia/cdwriteutils/cdrtools.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -34,5 +34,5 @@
     (burning) CDs, DVDs, and Blu-ray discs.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/cdwriteutils/dvd+rw-tools.xml
===================================================================
--- multimedia/cdwriteutils/dvd+rw-tools.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ multimedia/cdwriteutils/dvd+rw-tools.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/alsa-utils.xml
===================================================================
--- multimedia/libdriv/alsa-utils.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ multimedia/libdriv/alsa-utils.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/audiofile.xml
===================================================================
--- multimedia/libdriv/audiofile.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ multimedia/libdriv/audiofile.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/id3lib.xml
===================================================================
--- multimedia/libdriv/id3lib.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ multimedia/libdriv/id3lib.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -33,5 +33,5 @@
     writing and manipulating id3v1 and id3v2 multimedia data containers.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libmusicbrainz.xml
===================================================================
--- multimedia/libdriv/libmusicbrainz.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ multimedia/libdriv/libmusicbrainz.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -42,5 +42,5 @@
     other related information.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libmusicbrainz5.xml
===================================================================
--- multimedia/libdriv/libmusicbrainz5.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ multimedia/libdriv/libmusicbrainz5.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/mlt.xml
===================================================================
--- multimedia/libdriv/mlt.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ multimedia/libdriv/mlt.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -36,5 +36,5 @@
     applications.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: packages.ent
===================================================================
--- packages.ent	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ packages.ent	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -755,5 +755,5 @@
 <!ENTITY kf5-download-http     "http://download.kde.org/stable/frameworks/&kf5-base;">
 
-<!ENTITY kf5apps-version       "19.04.1">
+<!ENTITY kf5apps-version       "19.08.0">
 <!ENTITY kf5apps-download-http "http://download.kde.org/stable/applications/&kf5apps-version;/src">
 <!ENTITY kf5apps-download-ftp  "ftp://ftp.kde.org/pub/kde/stable/&kf5apps-version;/src">
Index: postlfs/editors/kate5.xml
===================================================================
--- postlfs/editors/kate5.xml	(revision 7ee3d2dc145cc69bc5a637cd0ff0000000995d74)
+++ postlfs/editors/kate5.xml	(revision 2320f68bb03fac0a09d4ee9dc60360444321aa29)
@@ -6,7 +6,7 @@
   <!ENTITY kate5-download-http "&kf5apps-download-http;/kate-&kf5apps-version;.tar.xz">
   <!ENTITY kate5-download-ftp  " ">
-  <!ENTITY kate5-md5sum        "350324ca399d5570afb5f39dbee78b0e">
-  <!ENTITY kate5-size          "5.5 MB">
-  <!ENTITY kate5-buildsize     "71 MB">
+  <!ENTITY kate5-md5sum        "b1fc6858905a84f3c4818b57c67af861">
+  <!ENTITY kate5-size          "5.6 MB">
+  <!ENTITY kate5-buildsize     "72 MB">
   <!ENTITY kate5-time          "1.1 SBU (using parallelism=4)">
 ]>
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>