Index: general.ent
===================================================================
--- general.ent	(revision 11daca3442810a793991c0e22f34780c892c6109)
+++ general.ent	(revision 2322fea67089c4fc1a92a2b8a8b288c7157e3212)
@@ -513,5 +513,5 @@
 <!ENTITY libproxy-version             "0.4.7">
 <!ENTITY librest-version              "0.7.12">
-<!ENTITY libsoup-version              "2.36.1">
+<!ENTITY libsoup-version              "2.38.0">
 <!ENTITY libtirpc-version             "0.2.2">
 <!ENTITY neon-version                 "0.29.6">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 11daca3442810a793991c0e22f34780c892c6109)
+++ introduction/welcome/changelog.xml	(revision 2322fea67089c4fc1a92a2b8a8b288c7157e3212)
@@ -50,6 +50,9 @@
         <listitem>
           <para>
-            [abenton] - Added Geoclue 1.12.0, required by WebKitGTK+-1.8.0.
+            [abenton] - Added GeoClue 1.12.0, required by WebKitGTK+-1.8.0.
           </para>
+        <listitem>
+          <para>[abenton] -LibSoup 2.38.0.</para>
+        </listitem>
         </listitem>
       </itemizedlist>
Index: networking/netlibs/geoclue.xml
===================================================================
--- networking/netlibs/geoclue.xml	(revision 11daca3442810a793991c0e22f34780c892c6109)
+++ networking/netlibs/geoclue.xml	(revision 2322fea67089c4fc1a92a2b8a8b288c7157e3212)
@@ -4,8 +4,4 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
-
-  <!-- Place this in the general.ent file
-  <!ENTITY geoclue-version "">
-  -->
 
   <!ENTITY geoclue-download-http
@@ -32,5 +28,4 @@
   </indexterm>
 
-  <!--Required section-->
   <sect2 role="package">
     <title>Introduction to GeoClue</title>
Index: networking/netlibs/libsoup.xml
===================================================================
--- networking/netlibs/libsoup.xml	(revision 11daca3442810a793991c0e22f34780c892c6109)
+++ networking/netlibs/libsoup.xml	(revision 2322fea67089c4fc1a92a2b8a8b288c7157e3212)
@@ -5,10 +5,12 @@
   %general-entities;
 
-  <!ENTITY libsoup-download-http "&gnome-download-http;/libsoup/2.36/libsoup-&libsoup-version;.tar.xz">
-  <!ENTITY libsoup-download-ftp  "&gnome-download-ftp;/libsoup/2.36/libsoup-&libsoup-version;.tar.xz">
-  <!ENTITY libsoup-md5sum        "5e6dcf0dfdbf58f67f576ed67f8923b9">
-  <!ENTITY libsoup-size          "595 KB">
-  <!ENTITY libsoup-buildsize     "29 MB">
-  <!ENTITY libsoup-time          "0.5 SBU">
+  <!ENTITY libsoup-download-http
+    "&gnome-download-http;/libsoup/2.38/libsoup-&libsoup-version;.tar.xz">
+  <!ENTITY libsoup-download-ftp
+    "&gnome-download-ftp;/libsoup/2.38/libsoup-&libsoup-version;.tar.xz">
+  <!ENTITY libsoup-md5sum        "8a44d7cf1dea364b08cec2188b616657">
+  <!ENTITY libsoup-size          "6.8 KB">
+  <!ENTITY libsoup-buildsize     "23 MB">
+  <!ENTITY libsoup-time          "0.3 SBU">
 ]>
 
@@ -30,29 +32,43 @@
     <title>Introduction to libsoup</title>
 
-    <para>The <application>libsoup</application> package contains an
-    HTTP library implementation in <application>C</application>. This is
-    useful for accessing HTTP servers in a completely asynchronous mode.</para>
+    <para>
+      The <application>libsoup</application> package contains an HTTP library
+      implementation in <application>C</application>. This is useful for
+      accessing HTTP servers in a completely asynchronous mode.
+    </para>
 
-    &lfs70_built;
+    &lfs71_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Download (HTTP): <ulink url="&libsoup-download-http;"/></para>
+        <para>
+          Download (HTTP): <ulink url="&libsoup-download-http;"/>
+        </para>
       </listitem>
       <listitem>
-        <para>Download (FTP): <ulink url="&libsoup-download-ftp;"/></para>
+        <para>
+          Download (FTP): <ulink url="&libsoup-download-ftp;"/>
+        </para>
       </listitem>
       <listitem>
-        <para>Download MD5 sum: &libsoup-md5sum;</para>
+        <para>
+          Download MD5 sum: &libsoup-md5sum;
+        </para>
       </listitem>
       <listitem>
-        <para>Download size: &libsoup-size;</para>
+        <para>
+          Download size: &libsoup-size;
+        </para>
       </listitem>
       <listitem>
-        <para>Estimated disk space required: &libsoup-buildsize;</para>
+        <para>
+          Estimated disk space required: &libsoup-buildsize;
+        </para>
       </listitem>
       <listitem>
-        <para>Estimated build time: &libsoup-time;</para>
+        <para>
+          Estimated build time: &libsoup-time;
+        </para>
       </listitem>
     </itemizedlist>
@@ -61,22 +77,29 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="glib-networking"/> and
-    <xref linkend="libxml2"/></para>
+    <para role="required">
+      <xref linkend="glib-networking"/> and
+      <xref linkend="libxml2"/>
+    </para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended"><xref linkend="libgnome-keyring"/> and
-    <xref linkend="sqlite"/> (Required if building <application>GNOME</application>)</para>
+    <para role="recommended">
+      <xref linkend="libgnome-keyring"/> and
+      <xref linkend="sqlite"/>
+      (Required if building <application>Gnome</application>).
+    </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="gobject-introspection"/>,
-    <xref linkend="gtk-doc"/>,
-    <xref linkend="apache"/> (required to run the test suite), and
-    <xref linkend="php"/> compiled with
-    <ulink url="http://xmlrpc-epi.sourceforge.net/main.php?t=php_about">XMLRPC-EPI</ulink>
-      support (only used for the XMLRPC regression tests)</para>
+    <para role="optional">
+      <xref linkend="gobject-introspection"/>,
+      <xref linkend="gtk-doc"/>,
+      <xref linkend="apache"/> (required to run the test suite), and
+      <xref linkend="php"/> compiled with
+      <ulink url="http://xmlrpc-epi.sourceforge.net/main.php?t=php_about">XMLRPC-EPI</ulink>
+      support (only used for the XMLRPC regression tests).
+    </para>
 
-    <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/libsoup"/></para>
-
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/libsoup"/>
+    </para>
   </sect2>
 
@@ -84,16 +107,21 @@
     <title>Installation of libsoup</title>
 
-    <para>Install <application>libsoup</application> by running the following
-    commands:</para>
+    <para>
+      Install <application>libsoup</application> by running the following
+      commands:
+    </para>
 
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
+<screen><userinput>./configure --prefix=/usr --without-gnome --disable-static &amp;&amp;
 make</userinput></screen>
 
-    <para>To test the results, issue: <command>make check</command>.</para>
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
 
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"><userinput>make install</userinput></screen>
-
   </sect2>
 
@@ -101,14 +129,19 @@
     <title>Command Explanations</title>
 
+    <para>
+      <option>--without-gnome</option>: This prevents
+      <command>configure</command> looking for
+      <application>gnome-keyring</application>. Remove this option if you have
+      installed <xref linkend="gnome-keyring"/> and want to install
+      <application>Gnome</application>.
+    </para>
+
+    <para>
+      <option>--disable-static</option>: This option disables installing a
+      static version of <filename class='libraryfile'>libsoup-2.4.so</filename>.
+    </para>
+
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gtk-doc-rebuild.xml"/>
-
-    <para><option>--without-gnome</option>: Use this parameter if you will
-    <emphasis role="strong">NOT</emphasis> be installing
-    <application>GNOME</application>.</para>
-
-    <para><option>--disable-ssl</option>: Use this parameter if you wish to
-    disable SSL/TLS support.</para>
-
   </sect2>
 
@@ -117,13 +150,16 @@
 
     <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Libraries</segtitle>
       <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
-        <seg>None</seg>
-        <seg>libsoup-2.4.{so,a} and libsoup-gnome-2.4.{so,a}</seg>
-        <seg>/usr/{include/{libsoup-2.4/libsoup,libsoup-gnome-2.4/libsoup},
-        share/gtk-doc/html/libsoup-2.4}</seg>
+        <seg>
+          libsoup-2.4.so and (if you have installed
+          <xref linkend="gnome-keyring"/>) libsoup-gnome-2.4.so
+        </seg>
+        <seg>
+          /usr/include/libsoup-2.4 and
+          /usr/share/gtk-doc/html/libsoup-2.4.
+        </seg>
       </seglistitem>
     </segmentedlist>
@@ -135,9 +171,11 @@
 
       <varlistentry id="libsoup-2.4">
-        <term><filename class='libraryfile'>libsoup-2.4.{so,a}</filename></term>
+        <term><filename class='libraryfile'>libsoup-2.4.so</filename></term>
         <listitem>
-          <para>provides functions for asynchronous HTTP connections.</para>
+          <para>
+            provides functions for asynchronous HTTP connections.
+          </para>
           <indexterm zone="libsoup libsoup-2.4">
-            <primary sortas="c-libsoup-2.4">libsoup-2.4.{so,a}</primary>
+            <primary sortas="c-libsoup-2.4">libsoup-2.4.so</primary>
           </indexterm>
         </listitem>
@@ -145,16 +183,15 @@
 
       <varlistentry id="libsoup-gnome-2.4">
-        <term><filename class='libraryfile'>libsoup-gnome-2.4.{so,a}</filename></term>
+        <term><filename class='libraryfile'>libsoup-gnome-2.4.so</filename></term>
         <listitem>
-          <para>provides <application>GNOME</application> specific features.</para>
+          <para>
+            provides <application>Gnome</application> specific features.
+          </para>
           <indexterm zone="libsoup libsoup-gnome-2.4">
-            <primary sortas="c-libsoup-gnome-2.4">libsoup-gnome-2.4.{so,a}</primary>
+            <primary sortas="c-libsoup-gnome-2.4">libsoup-gnome-2.4.so</primary>
           </indexterm>
         </listitem>
       </varlistentry>
-
     </variablelist>
-
   </sect2>
-
 </sect1>