Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
+++ introduction/welcome/changelog.xml	(revision 2402febce23a24600040f0fdb5c4ea195ade0cf6)
@@ -43,4 +43,9 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to kf5-apps-22.12.0, including kate, kwave, 
+          and falkon. Fixes
+          <ulink url="&blfs-ticket-root;17006">#17006</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to kf5-5.101, including extra-cmake-modules, 
           oxygen-icons and breeze-icons. Fixes
Index: kde/kf5-apps/ark5.xml
===================================================================
--- kde/kf5-apps/ark5.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
+++ kde/kf5-apps/ark5.xml	(revision 2402febce23a24600040f0fdb5c4ea195ade0cf6)
@@ -7,5 +7,5 @@
   <!ENTITY ark5-download-http "&kf5apps-download-http;/ark-&kf5apps-version;.tar.xz">
   <!ENTITY ark5-download-ftp  " ">
-  <!ENTITY ark5-md5sum        "27e1d4a86f0b4ecdd09e8d9a4ee57bac">
+  <!ENTITY ark5-md5sum        "ed3adc1d14e78d0c4afb92384a64992c">
   <!ENTITY ark5-size          "2.7 MB">
   <!ENTITY ark5-buildsize     "32 MB">
Index: kde/kf5-apps/gwenview.xml
===================================================================
--- kde/kf5-apps/gwenview.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
+++ kde/kf5-apps/gwenview.xml	(revision 2402febce23a24600040f0fdb5c4ea195ade0cf6)
@@ -7,8 +7,8 @@
   <!ENTITY gwenview5-download-http "&kf5apps-download-http;/gwenview-&kf5apps-version;.tar.xz">
   <!ENTITY gwenview5-download-ftp  " ">
-  <!ENTITY gwenview5-md5sum        "95fc52fbf1ac6b8efc82ce54aab3f4c6">
-  <!ENTITY gwenview5-size          "6.5 MB">
-  <!ENTITY gwenview5-buildsize     "48 MB">
-  <!ENTITY gwenview5-time          "0.6 SBU (using parallelism=4)">
+  <!ENTITY gwenview5-md5sum        "885ef584ac1b5c152658cb011f0df163">
+  <!ENTITY gwenview5-size          "6.6 MB">
+  <!ENTITY gwenview5-buildsize     "50 MB">
+  <!ENTITY gwenview5-time          "0.5 SBU (using parallelism=4)">
 ]>
 
Index: kde/kf5-apps/k3b.xml
===================================================================
--- kde/kf5-apps/k3b.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
+++ kde/kf5-apps/k3b.xml	(revision 2402febce23a24600040f0fdb5c4ea195ade0cf6)
@@ -7,8 +7,8 @@
   <!ENTITY k3b-download-http "&kf5apps-download-http;/k3b-&kf5apps-version;.tar.xz">
   <!ENTITY k3b-download-ftp  " ">
-  <!ENTITY k3b-md5sum        "15df47ce0a4157e8c3d0b3bda16cdb94">
+  <!ENTITY k3b-md5sum        "ded40b60a8a9f939596a90b28d0e43cd">
   <!ENTITY k3b-size          "10 MB">
-  <!ENTITY k3b-buildsize     "118 MB">
-  <!ENTITY k3b-time          "1.1 SBU (using parallelism=4)">
+  <!ENTITY k3b-buildsize     "125 MB">
+  <!ENTITY k3b-time          "1.0 SBU (using parallelism=4)">
 ]>
 
Index: kde/kf5-apps/kdenlive5.xml
===================================================================
--- kde/kf5-apps/kdenlive5.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
+++ kde/kf5-apps/kdenlive5.xml	(revision 2402febce23a24600040f0fdb5c4ea195ade0cf6)
@@ -7,8 +7,8 @@
   <!ENTITY kdenlive5-download-http "&kf5apps-download-http;/kdenlive-&kf5apps-version;.tar.xz">
   <!ENTITY kdenlive5-download-ftp  " ">
-  <!ENTITY kdenlive5-md5sum        "64bf391309bb2c2df7b041bfa965b7f8">
+  <!ENTITY kdenlive5-md5sum        "9a6de48b702e0139828fe394fd74bc3c">
   <!ENTITY kdenlive5-size          "12 MB">
-  <!ENTITY kdenlive5-buildsize     "186 MB">
-  <!ENTITY kdenlive5-time          "1.5 SBU (using parallelism=4)">
+  <!ENTITY kdenlive5-buildsize     "201 MB">
+  <!ENTITY kdenlive5-time          "1.4 SBU (using parallelism=4)">
 ]>
 
Index: kde/kf5-apps/khelpcenter.xml
===================================================================
--- kde/kf5-apps/khelpcenter.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
+++ kde/kf5-apps/khelpcenter.xml	(revision 2402febce23a24600040f0fdb5c4ea195ade0cf6)
@@ -7,7 +7,7 @@
   <!ENTITY khelpcenter-download-http "&kf5apps-download-http;/khelpcenter-&kf5apps-version;.tar.xz">
   <!ENTITY khelpcenter-download-ftp  " ">
-  <!ENTITY khelpcenter-md5sum        "07e21b929bb92685250fa90e4f5a22eb">
-  <!ENTITY khelpcenter-size          "4.1 MB">
-  <!ENTITY khelpcenter-buildsize     "27 MB">
+  <!ENTITY khelpcenter-md5sum        "6ecbb41a20776df9e009cde345a47918">
+  <!ENTITY khelpcenter-size          "4.2 MB">
+  <!ENTITY khelpcenter-buildsize     "29 MB">
   <!ENTITY khelpcenter-time          "0.2 SBU (using parallelism=4)">
 ]>
Index: kde/kf5-apps/kio-extras.xml
===================================================================
--- kde/kf5-apps/kio-extras.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
+++ kde/kf5-apps/kio-extras.xml	(revision 2402febce23a24600040f0fdb5c4ea195ade0cf6)
@@ -7,8 +7,8 @@
   <!ENTITY kio-extras-download-http "&kf5apps-download-http;/kio-extras-&kf5apps-version;.tar.xz">
   <!ENTITY kio-extras-download-ftp  " ">
-  <!ENTITY kio-extras-md5sum        "06698929912922eedee84e3c72b1be8f">
-  <!ENTITY kio-extras-size          "632 KB">
-  <!ENTITY kio-extras-buildsize     "44 MB">
-  <!ENTITY kio-extras-time          "0.5 SBU (using parallelism=4)">
+  <!ENTITY kio-extras-md5sum        "f27cc68ed5be8321e056cc9f89f41eff">
+  <!ENTITY kio-extras-size          "1.3 MB">
+  <!ENTITY kio-extras-buildsize     "48 MB">
+  <!ENTITY kio-extras-time          "0.4 SBU (using parallelism=4)">
 ]>
 
Index: kde/kf5-apps/kmix5.xml
===================================================================
--- kde/kf5-apps/kmix5.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
+++ kde/kf5-apps/kmix5.xml	(revision 2402febce23a24600040f0fdb5c4ea195ade0cf6)
@@ -7,7 +7,7 @@
   <!ENTITY kmix5-download-http "&kf5apps-download-http;/kmix-&kf5apps-version;.tar.xz">
   <!ENTITY kmix5-download-ftp  " ">
-  <!ENTITY kmix5-md5sum        "b5d7856b58f16f4b22116b8592bbb248">
+  <!ENTITY kmix5-md5sum        "0d11a6e5129a636989ae215a34ce5a8c">
   <!ENTITY kmix5-size          "1.1 MB">
-  <!ENTITY kmix5-buildsize     "17 MB">
+  <!ENTITY kmix5-buildsize     "18 MB">
   <!ENTITY kmix5-time          "0.2 SBU (using parallelism=4)">
 ]>
Index: kde/kf5-apps/konsole5.xml
===================================================================
--- kde/kf5-apps/konsole5.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
+++ kde/kf5-apps/konsole5.xml	(revision 2402febce23a24600040f0fdb5c4ea195ade0cf6)
@@ -7,8 +7,8 @@
   <!ENTITY konsole5-download-http "&kf5apps-download-http;/konsole-&kf5apps-version;.tar.xz">
   <!ENTITY konsole5-download-ftp  " ">
-  <!ENTITY konsole5-md5sum        "f51764efd4c5b187aaa5024123a30cd1">
-  <!ENTITY konsole5-size          "1.4 MB">
-  <!ENTITY konsole5-buildsize     "45 MB">
-  <!ENTITY konsole5-time          "0.6 SBU (using parallism=4)">
+  <!ENTITY konsole5-md5sum        "61597f466c8b47058881451ff7bb9539">
+  <!ENTITY konsole5-size          "1.7 MB">
+  <!ENTITY konsole5-buildsize     "52 MB">
+  <!ENTITY konsole5-time          "0.5 SBU (using parallism=4)">
 ]>
 
Index: kde/kf5-apps/libkcddb.xml
===================================================================
--- kde/kf5-apps/libkcddb.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
+++ kde/kf5-apps/libkcddb.xml	(revision 2402febce23a24600040f0fdb5c4ea195ade0cf6)
@@ -7,7 +7,7 @@
   <!ENTITY libkcddb-download-http "&kf5apps-download-http;/libkcddb-&kf5apps-version;.tar.xz">
   <!ENTITY libkcddb-download-ftp  " ">
-  <!ENTITY libkcddb-md5sum        "08282d063423baba579c2ad94db135c4">
-  <!ENTITY libkcddb-size          "428 KB">
-  <!ENTITY libkcddb-buildsize     "9.6 MB">
+  <!ENTITY libkcddb-md5sum        "33227421102e5390d2694e208bdff307">
+  <!ENTITY libkcddb-size          "448 KB">
+  <!ENTITY libkcddb-buildsize     "10 MB">
   <!ENTITY libkcddb-time          "0.1 SBU (Using parallelism=4)">
 ]>
Index: kde/kf5-apps/libkdcraw.xml
===================================================================
--- kde/kf5-apps/libkdcraw.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
+++ kde/kf5-apps/libkdcraw.xml	(revision 2402febce23a24600040f0fdb5c4ea195ade0cf6)
@@ -7,5 +7,5 @@
   <!ENTITY libkdcraw-download-http "&kf5apps-download-http;/libkdcraw-&kf5apps-version;.tar.xz">
   <!ENTITY libkdcraw-download-ftp  " ">
-  <!ENTITY libkdcraw-md5sum        "937db5407d2d7e79fcd252de287f3089">
+  <!ENTITY libkdcraw-md5sum        "3a7bb5deea2e28c3022354fd754de9b4">
   <!ENTITY libkdcraw-size          "40 KB">
   <!ENTITY libkdcraw-buildsize     "1.5 MB">
Index: kde/kf5-apps/libkexiv2.xml
===================================================================
--- kde/kf5-apps/libkexiv2.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
+++ kde/kf5-apps/libkexiv2.xml	(revision 2402febce23a24600040f0fdb5c4ea195ade0cf6)
@@ -7,5 +7,5 @@
   <!ENTITY libkexiv2-download-http "&kf5apps-download-http;/libkexiv2-&kf5apps-version;.tar.xz">
   <!ENTITY libkexiv2-download-ftp  " ">
-  <!ENTITY libkexiv2-md5sum        "90d11a41b6c9271ca38fe8e1321a1125">
+  <!ENTITY libkexiv2-md5sum        "d4054e4f5b23a74450aec4b5d16ca10e">
   <!ENTITY libkexiv2-size          "60 KB">
   <!ENTITY libkexiv2-buildsize     "3.2 MB">
Index: kde/kf5-apps/okular5.xml
===================================================================
--- kde/kf5-apps/okular5.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
+++ kde/kf5-apps/okular5.xml	(revision 2402febce23a24600040f0fdb5c4ea195ade0cf6)
@@ -7,7 +7,7 @@
   <!ENTITY okular5-download-http "&kf5apps-download-http;/okular-&kf5apps-version;.tar.xz">
   <!ENTITY okular5-download-ftp  " ">
-  <!ENTITY okular5-md5sum        "86eb04eaff7e17cadc23031b45d87a90">
-  <!ENTITY okular5-size          "7.8 MB">
-  <!ENTITY okular5-buildsize     "77 MB">
+  <!ENTITY okular5-md5sum        "cd90ed6613e3e08c06a383580b6b7a5d">
+  <!ENTITY okular5-size          "8.0 MB">
+  <!ENTITY okular5-buildsize     "82 MB">
   <!ENTITY okular5-time          "0.7 SBU (using parallelism=4)">
 ]>
Index: multimedia/audioutils/kwave.xml
===================================================================
--- multimedia/audioutils/kwave.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
+++ multimedia/audioutils/kwave.xml	(revision 2402febce23a24600040f0fdb5c4ea195ade0cf6)
@@ -7,8 +7,8 @@
   <!ENTITY kwave-download-http "&kf5apps-download-http;/kwave-&kf5apps-version;.tar.xz">
   <!ENTITY kwave-download-ftp  " ">
-  <!ENTITY kwave-md5sum        "084563aa18bffccc5b7789ef634512b9">
+  <!ENTITY kwave-md5sum        "603f3b5e47599cf52a5243161d2d8b7a">
   <!ENTITY kwave-size          "6.6 MB">
-  <!ENTITY kwave-buildsize     "71 MB">
-  <!ENTITY kwave-time          "0.9 SBU (using parallelism=4)">
+  <!ENTITY kwave-buildsize     "72 MB">
+  <!ENTITY kwave-time          "0.8 SBU (using parallelism=4)">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
+++ packages.ent	(revision 2402febce23a24600040f0fdb5c4ea195ade0cf6)
@@ -766,5 +766,5 @@
 
 <!-- Chapter 31 -->
-<!ENTITY kf5apps-version       "22.08.0">
+<!ENTITY kf5apps-version       "22.12.0">
 <!ENTITY kf5apps-download-http "https://download.kde.org/stable/release-service/&kf5apps-version;/src">
 
Index: postlfs/editors/kate5.xml
===================================================================
--- postlfs/editors/kate5.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
+++ postlfs/editors/kate5.xml	(revision 2402febce23a24600040f0fdb5c4ea195ade0cf6)
@@ -6,8 +6,8 @@
   <!ENTITY kate5-download-http "&kf5apps-download-http;/kate-&kf5apps-version;.tar.xz">
   <!ENTITY kate5-download-ftp  " ">
-  <!ENTITY kate5-md5sum        "b254a25e41d227449a17290a7fe75e17">
-  <!ENTITY kate5-size          "7.3 MB">
-  <!ENTITY kate5-buildsize     "110 MB">
-  <!ENTITY kate5-time          "1.2 SBU (using parallelism=4)">
+  <!ENTITY kate5-md5sum        "b42c5c910601c1b7119d908dd8fec767">
+  <!ENTITY kate5-size          "7.5 MB">
+  <!ENTITY kate5-buildsize     "119 MB">
+  <!ENTITY kate5-time          "1.1 SBU (using parallelism=4)">
 ]>
 
Index: xsoft/graphweb/falkon.xml
===================================================================
--- xsoft/graphweb/falkon.xml	(revision 761f6535972d862e8ffc877ea533db44fdfa4836)
+++ xsoft/graphweb/falkon.xml	(revision 2402febce23a24600040f0fdb5c4ea195ade0cf6)
@@ -7,7 +7,7 @@
   <!ENTITY falkon-download-http "&kf5apps-download-http;/falkon-&kf5apps-version;.tar.xz">
   <!ENTITY falkon-download-ftp  " ">
-  <!ENTITY falkon-md5sum        "749141b269b9090b5272b8ff9554bb11">
+  <!ENTITY falkon-md5sum        "fe5dd8e1fae06c4e9ac0332e78848009">
   <!ENTITY falkon-size          "2.4 MB">
-  <!ENTITY falkon-buildsize     "123 MB">
+  <!ENTITY falkon-buildsize     "129 MB">
   <!ENTITY falkon-time          "1.2 SBU (Using parallelism=4)">
 ]>