Index: gnome/add/bug-buddy.xml
===================================================================
--- gnome/add/bug-buddy.xml	(revision cb9f48526a4d04be36b6d031ff26e5f5505e9ef9)
+++ gnome/add/bug-buddy.xml	(revision 2435bae71456c448dc75b37fbd62d585f4462321)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY bug-buddy-download-http "&gnome-download-http;/bug-buddy/&gnome-old-version;/bug-buddy-&bug-buddy-version;.tar.bz2">
-  <!ENTITY bug-buddy-download-ftp  "&gnome-download-ftp;/bug-buddy/&gnome-old-version;/bug-buddy-&bug-buddy-version;.tar.bz2">
-  <!ENTITY bug-buddy-md5sum        "ebeaeee4acc1432b59a4ef242abff620">
-  <!ENTITY bug-buddy-size          "553 KB">
-  <!ENTITY bug-buddy-buildsize     "10 MB">
-  <!ENTITY bug-buddy-time          "0.1 SBU">
+  <!ENTITY bug-buddy-download-http "&gnome-download-http;/bug-buddy/&gnome-version;/bug-buddy-&bug-buddy-version;.tar.bz2">
+  <!ENTITY bug-buddy-download-ftp  "&gnome-download-ftp;/bug-buddy/&gnome-version;/bug-buddy-&bug-buddy-version;.tar.bz2">
+  <!ENTITY bug-buddy-md5sum        "ee9c586fee2e6b8ce3b787e696f37100">
+  <!ENTITY bug-buddy-size          "1.1 MB">
+  <!ENTITY bug-buddy-buildsize     "37 MB">
+  <!ENTITY bug-buddy-time          "0.4 SBU">
 ]>
 
@@ -59,15 +59,14 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="gnome-desktop"/>,
-    <xref linkend="gnome-menus"/>,
-    <xref linkend="evolution-data-server"/>,
-    <xref linkend="libgtop"/>, and
-    <xref linkend="scrollkeeper"/></para>
+    <para role="required"><xref linkend="evolution-data-server"/>,
+    <xref linkend="gnome-doc-utils"/>,
+    <xref linkend="libelf"/>, and
+    <xref linkend="libgtop"/></para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended"><xref linkend="rarian"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-    <ulink url="http://www.gnome.org/projects/NetworkManager/">NetworkManager</ulink>
-    (<ulink url="&gnome-download-http;/NetworkManager/">download</ulink>), and
-    <xref linkend="intltool"/></para>
+    <para role="optional"><xref linkend="openssl"/></para>
 
     <para condition="html" role="usernotes">User Notes:
@@ -112,4 +111,7 @@
     href="../../xincludes/gnome-mandir.xml"/>
 
+    <para><option>--disable-scrollkeeper</option>: This parameter disables
+    updates to the scrollkeeper database.</para>
+
   </sect2>
 
@@ -118,12 +120,12 @@
 
     <segmentedlist>
-      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Libraries</segtitle>
       <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
-        <seg>bug-buddy</seg>
-        <seg>None</seg>
-        <seg><envar>$GNOME_PREFIX</envar>/share/{,gnome/help/ ,omf/}bug-buddy</seg>
+        <seg>bug-buddy, minidump_dump, and minidump_stackwalk</seg>
+        <seg>libbreakpad.{so,a} and libgnomebreakpad.so</seg>
+        <seg><envar>$GNOME_PREFIX</envar>/{lib/bug-buddy,share/bug-buddy}</seg>
       </seglistitem>
     </segmentedlist>
@@ -144,4 +146,24 @@
       </varlistentry>
 
+      <varlistentry id="libbreakpad">
+        <term><filename class='libraryfile'>libbreakpad.{so,a}</filename></term>
+        <listitem>
+          <para>contains the Google breakpad API functions.</para>
+          <indexterm zone="bug-buddy libbreakpad">
+            <primary sortas="c-libbreakpad">libbreakpad.{so,a}</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgnomebreakpad">
+        <term><filename class='libraryfile'>libgnomebreakpad.so</filename></term>
+        <listitem>
+          <para>is a <application>GTK+</application> breakpad module.</para>
+          <indexterm zone="bug-buddy libgnomebreakpad">
+            <primary sortas="c-libgnomebreakpad">libgnomebreakpad.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
     </variablelist>
 